# coding: utf-8
import requests
import json
import psycopg2
import uuid
import datetime  
import time
import hashlib  
import time

#荟聚

#全局变量，便于参数使用的预设值 
current_date = datetime.date.today()     # 获取当前日期 
previous_date = current_date - datetime.timedelta(days=1)  # 获取前一天日期 
formatted_current_date = current_date.strftime("%Y-%m-%dT%H:%M:%SZ")  # 获取当前日期 - 标准化
formatted_previous_date = previous_date.strftime("%Y-%m-%dT%H:%M:%SZ")  # 获取前一天日期 - 标准化
timestamp = time.time()       #  为Unix time，即从"1970-01-01 00:00:00"至今的秒数；

auth_url='https://api.huiju.cool/v2/oauth2/token?app_id=cl037b184ebccd97c&secret=deaa83fdd8d385eec0d1d04d34282c4ec8c33b60&grant_type=client_credentials'
auth = {}
identityType = 'cp_employee_tools_huiju_corp'
sel_sql = "select * from p61_output.ccc_scrm_cust_label_info where sync_ind <> '2';"
upt_sql = "update p61_output.ccc_scrm_cust_label_info set sync_ind=%s, etl_proc_dt=current_timestamp(0) where cust_id = %s and scrm_label_id = %s"
ist_sql = "INSERT INTO p61_output.scrm_leads_external_id_mapping (leads_id, external_type, external_id,  etl_proc_dt, etl_tx_dt) VALUES (%s, %s, %s,current_timestamp(0), current_date);"

database="daas_mpp"
user="dbuser_mpp"
password="qwF0GX8"
host="172.17.0.8"
port="5432"

def formatted2_previous_hour(h):
    if h==0:
        return datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")
    start_of_current_hour = datetime.datetime.now().replace(minute=0, second=0, microsecond=0)  
    # 减去一个小时，得到前一个小时的开始时间  
    start_of_previous_hour = start_of_current_hour - datetime.timedelta(hours=h) 
    return start_of_previous_hour.strftime("%Y-%m-%d %H:%M:%S")

def get_token(url):
    #请求鉴权接口
    authRequest=requests.get(url)
    #解析结果
    if not authRequest:       #若为空时，返回空
        return get_token(url)
    auth=json.loads(authRequest.text)
    while 'error' in auth  and i < 60:
        time.sleep(60)
        auth = get_token(url)
        i = i + 1
    return auth
    
def get_data_from_db(cur, conn, sql):
    # conn = psycopg2.connect(database=database, user=user, password=password,host=host, port=port)
    # cur=conn.cursor()
    cur.execute(sql)
    records = cur.fetchall()
    conn.commit()
    # cur.close()
    # conn.close()
    return records

def update_db_flag(cur, conn, sql, status, cust_id, tag_id):
    # conn = psycopg2.connect(database=database, user=user, password=password,host=host, port=port)
    # cur=conn.cursor()
    cur.execute(sql,[status,cust_id,tag_id])
    conn.commit()
    # cur.close()
    # conn.close()

def add_leads_id(cur, conn, sql, type, leads_id, extern_id):
    try: 
        # conn = psycopg2.connect(database=database, user=user, password=password,host=host, port=port)
        # cur=conn.cursor()
        cur.execute(sql,[leads_id,type,extern_id])
        conn.commit()
        # cur.close()
        # conn.close()
    except Exception as e:  
        print(f'添加线索id异常,接口返回信息：{e}')

def request_custom_id(id):
    print(f'开始请求线索id:{id}')
    header={}
    url='https://api.huiju.cool/v2/customerService/findCustomerByIdentity'
    body={'access_token':auth['access_token'],'identityType':identityType,'identityValue':id}
    dataReqL=requests.get(url,headers=header,params=body)
    resL=json.loads(dataReqL.text)
    return resL

def request_update_tags(idStr, tagId ):
    print(f'开始请求更新线索标签{idStr}|{tagId}')
    header={}
    access_token = auth['access_token']
    url=f'https://api.huiju.cool/v2/customerTags/bulkAdd?access_token={access_token}'
    body=[{'tagId':tagId, 'customerIds':[idStr]}]
    jsonData = json.dumps(body)
    print(f'body: {jsonData}')
    dataReqL=requests.post(url,headers=header,data=jsonData)
    resL=json.loads(dataReqL.text)
    return resL


if __name__ == "__main__":
    print(f'{formatted2_previous_hour(0)}开始更新标签信息')
    auth = get_token(auth_url)
    records = []
    conn = psycopg2.connect(database=database, user=user, password=password,host=host, port=port)
    cur=conn.cursor()
    records = get_data_from_db(cur, conn, sel_sql)
    if len(records) > 0:
        print(f'此处需处理{len(records)}条标签信息')
        for data in records:
            custId = data[0]
            id = data[1]
            idStr = data[2]
            tagId = data[5]
            print(f'开始处理客户({id}:{tagId}）标签信息')
            try:
                f = False
                s = '2'
                if not idStr: 
                    resL = request_custom_id(id)
                    if 'error' in resL and resL['error']['code'] == 400010:
                        get_token(auth_url)
                        resL = request_custom_id(id)
                    if 'error' in resL:
                        print(f'获取客户线索id异常,接口返回信息：{resL}')
                        continue
                    idStr = resL['idStr']
                    if idStr == '':
                        print(f'获取客户线索id为空,接口返回信息：{resL}')
                        continue
                    f=True
                if f: 
                    add_leads_id(cur, conn, ist_sql,identityType, idStr, id)
                resU = request_update_tags(idStr,tagId)
                if 'error' in resU and resU['error']['code'] == 400010:
                    get_token(auth_url)
                    resU = request_update_tags(idStr,tagId)
                if 'error' in resU:
                    print(f'获取客户线索id异常,接口返回信息：{resU}')
                    continue
                update_db_flag(cur, conn, upt_sql,s,custId,tagId)
            except Exception as e:  
                print(f'处理客户({id}:{tagId}）标签信息,异常信息：{e}')
    else:
        print(f'记录数为0，此处无需处理标签信息')
    cur.close()
    conn.close()
    print(f'{formatted2_previous_hour(0)}更新标签信息结束')
