
DROP TABLE IF EXISTS p30_common.cust_call_ccc_record;
CREATE TABLE IF NOT EXISTS p30_common.cust_call_ccc_record (
	 unique_id  VARCHAR(50) 
	, call_id  VARCHAR(50) 
	, customer_number  VARCHAR(20) 
	, customer_province  VARCHAR(20) 
	, customer_city  VARCHAR(20) 
	, call_number  VARCHAR(20) 
	, call_cno  VARCHAR(20) 
	, call_cname  VARCHAR(20) 
	, call_qname  VARCHAR(20) 
	, call_source_type  varchar(20) 
	, call_type  VARCHAR(10) 
	, call_type_desc  VARCHAR(50) 
	, sip_cause_desc  VARCHAR(50) 
	, call_status  VARCHAR(20) 
	, call_result  VARCHAR(20) 
	, webrtc_call_id  VARCHAR(50) 
	, hotline_name  VARCHAR(20) 
	, on_hook_source  VARCHAR(20) 
	, investigation_keys  VARCHAR(20) 
	, agent_answer_in_time  VARCHAR(20) 
	, evaluation  VARCHAR(20) 
	, start_time  timestamp(0) 
	, ring_time  timestamp(0) 
	, ib_ringing_duration  int4 
	, end_time  timestamp(0) 
	, answer_time  timestamp(0) 
	, offhook_time  timestamp(0) 
	, bridge_time  timestamp(0) 
	, bridge_duration  int4 
	, total_duration  int4 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( unique_id,call_id )
);

 COMMENT ON COLUMN p30_common.cust_call_ccc_record.unique_id IS '呼入通话ID'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_id IS 'CallID'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.customer_province IS '客户省份'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.customer_city IS '客户城市'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_number IS '座席电话'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_cno IS '座席工号'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_cname IS '座席姓名'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_qname IS '队列名称'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_source_type IS '呼叫来源类型'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_type_desc IS '呼叫类型描述'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.sip_cause_desc IS '呼叫情况'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_status IS '接听状态'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.call_result IS '呼叫结果'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.hotline_name IS '热线别名'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.agent_answer_in_time IS '首次及时应答'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.start_time IS '开始时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.ring_time IS '振铃时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.ib_ringing_duration IS '振铃时长'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.end_time IS '结束时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.answer_time IS '接听时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.offhook_time IS '座席接起时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.bridge_time IS '首次接听时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.total_duration IS '总时长'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.cust_call_ccc_record.Src_Table IS '来源表'; 

COMMENT ON TABLE p30_common.cust_call_ccc_record IS 'ccc通话记录';