
DROP TABLE IF EXISTS p20_pdm.t01_ccc_ob_record;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_ccc_ob_record (
	 ob_unique_id  varchar(50) 
	, customer_number  varchar(20) 
	, customer_number_encrypt  varchar(50) 
	, customer_area  varchar(20) 
	, customer_province  varchar(20) 
	, customer_city  varchar(20) 
	, call_type  varchar(10) 
	, call_type_key  varchar(20) 
	, call_type_desc  varchar(50) 
	, detail_call_type  varchar(10) 
	, detail_call_type_desc  varchar(50) 
	, sip_cause  varchar(10) 
	, sip_cause_desc  varchar(50) 
	, left_clid  varchar(20) 
	, left_clid_area  varchar(20) 
	, left_clid_province  varchar(20) 
	, left_clid_city  varchar(20) 
	, trunk_group_key  varchar(20) 
	, xnumber  varchar(20) 
	, xnumber_area  varchar(20) 
	, xnumber_province  varchar(20) 
	, xnumber_city  varchar(20) 
	, status  varchar(10) 
	, status_desc  varchar(20) 
	, tag_names  varchar(20) 
	, request_unique_id  varchar(50) 
	, ob_sip_cause  varchar(10) 
	, on_hook_source  varchar(20) 
	, record_file  text 
	, tsi_file  text 
	, asr_record  varchar(10) 
	, evaluation  varchar(10) 
	, investigation_keys  text 
	, call_id  varchar(50) 
	, webrtc_call_id  varchar(50) 
	, rtc_uid  varchar(50) 
	, cno  varchar(10) 
	, client_name  varchar(20) 
	, client_number  varchar(20) 
	, start_time  timestamp(0) 
	, up_time  timestamp(0) 
	, callee_ringing_time  timestamp(0) 
	, bridge_time  timestamp(0) 
	, end_time  timestamp(0) 
	, bridge_duration  int 
	, total_duration  int 
	, pre_ring_wait_duration  int 
	, callee_ringing_duration  int 
	, ob_wait_duration  int 
	, task_id  varchar(50) 
	, task_name  varchar(20) 
	, task_inventory_id  varchar(20) 
	, exist_ticket  varchar(20) 
	, ticket_ids  varchar(20) 
	, exist_business  varchar(20) 
	, business_ids  varchar(50) 
	, user_field  text 
	, exist_customer  varchar(20) 
	, customer_area_code  varchar(20) 
	, customer_post_code  varchar(10) 
	, customer_vip  varchar(10) 
	, enterprise_id  varchar(20) 
	, mark_data  text 
	, cdrobagent_type  varchar(20) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( ob_unique_id )
);

 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.ob_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_area IS '客户地区，省份/城市'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.call_type IS '通话类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.call_type_key IS '通话类型Key值'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.call_type_desc IS '通话类型描述'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.detail_call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.detail_call_type_desc IS '呼叫类型描述'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.sip_cause IS '呼叫情况'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.sip_cause_desc IS '呼叫情况描述'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.left_clid IS '外显号码'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.left_clid_area IS '外显号码归属地区'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.left_clid_province IS '外显号码归属省份'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.left_clid_city IS '外显号码归属城市'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.trunk_group_key IS '中继组号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.xnumber IS '虚拟号码'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.xnumber_area IS '虚拟号码归属地区'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.xnumber_province IS '虚拟号码归属省份'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.xnumber_city IS '虚拟号码归属城市'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.status IS '接听状态值'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.status_desc IS '接听状态描述'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.tag_names IS '通话标签'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.request_unique_id IS '通话唯一ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.ob_sip_cause IS '呼叫结果'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.record_file IS '录音文件'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.tsi_file IS '客户彩铃录音'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.asr_record IS '转写记录标识 '; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.call_id IS 'CallID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.rtc_uid IS 'RtcUid'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.cno IS '座席工号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.client_name IS '座席名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.client_number IS '座席电话'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.start_time IS '开始时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.up_time IS '座席接起时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.callee_ringing_time IS '客户响铃时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.bridge_time IS '客户接听时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.end_time IS '结束时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.total_duration IS '总时长'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.pre_ring_wait_duration IS '响铃前等待时长'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.callee_ringing_duration IS '客户响铃时长'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.ob_wait_duration IS '外呼等待时长'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.task_id IS '外呼任务id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.task_name IS '外呼任务名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.task_inventory_id IS '外呼任务详情id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.exist_ticket IS '是否存在工单'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.ticket_ids IS '工单id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.exist_business IS '是否存在业务记录'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.business_ids IS '业务记录ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.user_field IS '自定义字段'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.exist_customer IS '是否存在客户资料'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_area_code IS '客户号码区号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_post_code IS '追加客户邮编'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.customer_vip IS '客户VIP标识'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.enterprise_id IS '企业号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.mark_data IS '备注'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.cdrobagent_type IS 'cdrObAgent'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_ob_record.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_ccc_ob_record IS 'smartccc呼出记录';