/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_ccc_ob_record(smartccc呼出记录)             */
/*Create Date:2024-08-20 19:27:04                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-07-19                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-08-20                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: :SADB.s98_s_tr_cc_cdr_ob_detail                                                  */
/*Source table 2: p10_sa.s98_s_tr_cc_cdr_ob_list                                                   */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_ccc_ob_record                                                                   */
/*ETL Job Name:t01_ccc_ob_record                                                                   */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_ob_record_agi_CUR_I 
 ( LIKE :PDMDB.t01_ccc_ob_record)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_ob_record_agi_INS 
( LIKE :PDMDB.t01_ccc_ob_record)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_tr_cc_cdr_ob_list*******************************************************/
/*****************************************************************************************************/
INSERT INTO t01_ccc_ob_record_agi_CUR_I (
            ob_unique_id                            /*通话ID*/
           ,customer_number                         /*客户号码*/
           ,customer_number_encrypt                 /*客户号码加密串*/
           ,customer_area                           /*客户地区，省份/城市*/
           ,customer_province                       /*客户号码省份*/
           ,customer_city                           /*客户号码城市*/
           ,call_type                               /*通话类型*/
           ,call_type_key                           /*通话类型Key值*/
           ,call_type_desc                          /*通话类型描述*/
           ,detail_call_type                        /*呼叫类型*/
           ,detail_call_type_desc                   /*呼叫类型描述*/
           ,sip_cause                               /*呼叫情况*/
           ,sip_cause_desc                          /*呼叫情况描述*/
           ,left_clid                               /*外显号码*/
           ,left_clid_area                          /*外显号码归属地区*/
           ,left_clid_province                      /*外显号码归属省份*/
           ,left_clid_city                          /*外显号码归属城市*/
           ,trunk_group_key                         /*中继组号*/
           ,xnumber                                 /*虚拟号码*/
           ,xnumber_area                            /*虚拟号码归属地区*/
           ,xnumber_province                        /*虚拟号码归属省份*/
           ,xnumber_city                            /*虚拟号码归属城市*/
           ,status                                  /*接听状态值*/
           ,status_desc                             /*接听状态描述*/
           ,tag_names                               /*通话标签*/
           ,request_unique_id                       /*通话唯一ID*/
           ,ob_sip_cause                            /*呼叫结果*/
           ,on_hook_source                          /*挂断方*/
           ,record_file                             /*录音文件*/
           ,tsi_file                                /*客户彩铃录音*/
           ,asr_record                              /*转写记录标识 */
           ,evaluation                              /*是否邀评*/
           ,investigation_keys                      /*满意度评价*/
           ,call_id                                 /*CallID*/
           ,webrtc_call_id                          /*WebRTCCallID*/
           ,rtc_uid                                 /*RtcUid*/
           ,cno                                     /*座席工号*/
           ,client_name                             /*座席名称*/
           ,client_number                           /*座席电话*/
           ,start_time                              /*开始时间*/
           ,up_time                                 /*座席接起时间*/
           ,callee_ringing_time                     /*客户响铃时间*/
           ,bridge_time                             /*客户接听时间*/
           ,end_time                                /*结束时间*/
           ,bridge_duration                         /*通话时长*/
           ,total_duration                          /*总时长*/
           ,pre_ring_wait_duration                  /*响铃前等待时长*/
           ,callee_ringing_duration                 /*客户响铃时长*/
           ,ob_wait_duration                        /*外呼等待时长*/
           ,task_id                                 /*外呼任务id*/
           ,task_name                               /*外呼任务名称*/
           ,task_inventory_id                       /*外呼任务详情id*/
           ,exist_ticket                            /*是否存在工单*/
           ,ticket_ids                              /*工单id*/
           ,exist_business                          /*是否存在业务记录*/
           ,business_ids                            /*业务记录ID*/
           ,user_field                              /*自定义字段*/
           ,exist_customer                          /*是否存在客户资料*/
           ,customer_area_code                      /*客户号码区号*/
           ,customer_post_code                      /*追加客户邮编*/
           ,customer_vip                            /*客户VIP标识*/
           ,enterprise_id                           /*企业号*/
           ,mark_data                               /*备注*/
           ,cdrobagent_type                         /*cdrObAgent*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(CAST(p0.main_unique_id AS varchar(50))),'')        /*ob_unique_id*/
        ,COALESCE(TRIM(CAST(p0.customer_number AS varchar(20))),'')        /*customer_number*/
        ,COALESCE(TRIM(CAST(p0.customer_number_encrypt AS varchar(50))),'')        /*customer_number_encrypt*/
        ,COALESCE(TRIM(CAST(p0.customer_area AS varchar(20))),'')        /*customer_area*/
        ,COALESCE(TRIM(CAST(p0.customer_province AS varchar(20))),'')        /*customer_province*/
        ,COALESCE(TRIM(CAST(p0.customer_city AS varchar(20))),'')        /*customer_city*/
        ,COALESCE(TRIM(CAST(p0.call_type AS varchar(10))),'')        /*call_type*/
        ,COALESCE(TRIM(CAST(p0.call_type_key AS varchar(20))),'')        /*call_type_key*/
        ,p1.call_type_desc                                         /*call_type_desc*/
        ,p1.detail_call_type                                       /*detail_call_type*/
        ,p1.detail_call_type_desc                                  /*detail_call_type_desc*/
        ,p1.sip_cause                                              /*sip_cause*/
        ,p1.sip_cause_desc                                         /*sip_cause_desc*/
        ,COALESCE(TRIM(CAST(p0.left_clid AS varchar(20))),'')        /*left_clid*/
        ,COALESCE(TRIM(CAST(p0.left_clid_area AS varchar(20))),'')        /*left_clid_area*/
        ,COALESCE(TRIM(CAST(p0.left_clid_province AS varchar(20))),'')        /*left_clid_province*/
        ,COALESCE(TRIM(CAST(p0.left_clid_city AS varchar(20))),'')        /*left_clid_city*/
        ,COALESCE(TRIM(CAST(p0.trunk_group_key AS varchar(20))),'')        /*trunk_group_key*/
        ,COALESCE(TRIM(CAST(p0.xnumber AS varchar(20))),'')        /*xnumber*/
        ,COALESCE(TRIM(CAST(p0.xnumber_area AS varchar(20))),'')        /*xnumber_area*/
        ,COALESCE(TRIM(CAST(p0.xnumber_province AS varchar(20))),'')        /*xnumber_province*/
        ,COALESCE(TRIM(CAST(p0.xnumber_city AS varchar(20))),'')        /*xnumber_city*/
        ,COALESCE(TRIM(CAST(p0.status AS varchar(10))),'')         /*status*/
        ,COALESCE(TRIM(CAST(p0.status_desc AS varchar(20))),'')        /*status_desc*/
        ,COALESCE(TRIM(CAST(p0.tag_names AS varchar(20))),'')        /*tag_names*/
        ,COALESCE(TRIM(CAST(p0.request_unique_id AS varchar(50))),'')        /*request_unique_id*/
        ,COALESCE(TRIM(CAST(p0.ob_sip_cause AS varchar(10))),'')        /*ob_sip_cause*/
        ,COALESCE(TRIM(CAST(p0.on_hook_source AS varchar(20))),'')        /*on_hook_source*/
        ,COALESCE(TRIM(p0.record_file),'')                         /*record_file*/
        ,p1.tsi_file                                               /*tsi_file*/
        ,COALESCE(TRIM(CAST(p0.asr_record AS varchar(10))),'')        /*asr_record*/
        ,COALESCE(TRIM(CAST(p0.evaluation AS varchar(10))),'')        /*evaluation*/
        ,COALESCE(TRIM(p0.investigation_keys),'')                  /*investigation_keys*/
        ,COALESCE(TRIM(CAST(p0.call_id AS varchar(50))),'')        /*call_id*/
        ,COALESCE(TRIM(CAST(p0.webrtc_call_id AS varchar(50))),'')        /*webrtc_call_id*/
        ,COALESCE(TRIM(CAST(p0.rtc_uid AS varchar(50))),'')        /*rtc_uid*/
        ,COALESCE(TRIM(CAST(p0.cno AS varchar(10))),'')            /*cno*/
        ,COALESCE(TRIM(CAST(p0.client_name AS varchar(20))),'')        /*client_name*/
        ,COALESCE(TRIM(CAST(p0.client_number AS varchar(20))),'')        /*client_number*/
        ,to_timestamp(p0.start_time::bigint)::timestamp(0)         /*start_time*/
        ,to_timestamp(p0.up_time::bigint)::timestamp(0)            /*up_time*/
        ,to_timestamp(p0.callee_ringing_time::bigint)::timestamp(0)        /*callee_ringing_time*/
        ,to_timestamp(p0.bridge_time::bigint)::timestamp(0)        /*bridge_time*/
        ,to_timestamp(p0.end_time::bigint)::timestamp(0)           /*end_time*/
        ,COALESCE(CAST(p0.bridge_duration AS int),0)               /*bridge_duration*/
        ,COALESCE(CAST(p0.total_duration AS int),0)                /*total_duration*/
        ,COALESCE(CAST(p0.pre_ring_wait_duration AS int),0)        /*pre_ring_wait_duration*/
        ,COALESCE(CAST(p0.callee_ringing_duration AS int),0)        /*callee_ringing_duration*/
        ,COALESCE(CAST(p0.ob_wait_duration AS int),0)              /*ob_wait_duration*/
        ,COALESCE(TRIM(CAST(p0.task_id AS varchar(50))),'')        /*task_id*/
        ,COALESCE(TRIM(CAST(p0.task_name AS varchar(20))),'')        /*task_name*/
        ,COALESCE(TRIM(CAST(p0.task_inventory_id AS varchar(20))),'')        /*task_inventory_id*/
        ,COALESCE(TRIM(CAST(p0.exist_ticket AS varchar(20))),'')        /*exist_ticket*/
        ,COALESCE(TRIM(CAST(p0.ticket_ids AS varchar(20))),'')        /*ticket_ids*/
        ,COALESCE(TRIM(CAST(p0.exist_business AS varchar(20))),'')        /*exist_business*/
        ,COALESCE(TRIM(CAST(p0.business_ids AS varchar(50))),'')        /*business_ids*/
        ,COALESCE(TRIM(p0.user_field),'')                          /*user_field*/
        ,COALESCE(TRIM(CAST(p0.exist_customer AS varchar(20))),'')        /*exist_customer*/
        ,COALESCE(TRIM(CAST(p0.customer_area_code AS varchar(20))),'')        /*customer_area_code*/
        ,COALESCE(TRIM(CAST(p0.customer_post_code AS varchar(10))),'')        /*customer_post_code*/
        ,COALESCE(TRIM(CAST(p0.customer_vip AS varchar(10))),'')        /*customer_vip*/
        ,COALESCE(TRIM(CAST(p0.enterprise_id AS varchar(20))),'')        /*enterprise_id*/
        ,COALESCE(TRIM(p0.mark_data),'')                           /*mark_data*/
        ,COALESCE(TRIM(CAST(p0.type AS varchar(20))),'')           /*cdrobagent_type*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('s98_s_tr_cc_cdr_ob_list',1,3)                     /*Src_Sysname*/
        ,'s98_s_tr_cc_cdr_ob_list'                                 /*Src_Table*/
        
FROM p10_sa.s98_s_tr_cc_cdr_ob_list  p0
LEFT JOIN :SADB.s98_s_tr_cc_cdr_ob_detail  p1
        ON p0 .main_unique_id =p1 .main_unique_id 
and p0.cno=p1.cno
;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO t01_ccc_ob_record_agi_INS (
         customer_number                                           /*客户号码*/
        ,customer_number_encrypt                                   /*客户号码加密串*/
        ,customer_area                                             /*客户地区，省份/城市*/
        ,customer_province                                         /*客户号码省份*/
        ,customer_city                                             /*客户号码城市*/
        ,call_type                                                 /*通话类型*/
        ,call_type_key                                             /*通话类型Key值*/
        ,call_type_desc                                            /*通话类型描述*/
        ,detail_call_type                                          /*呼叫类型*/
        ,detail_call_type_desc                                     /*呼叫类型描述*/
        ,sip_cause                                                 /*呼叫情况*/
        ,sip_cause_desc                                            /*呼叫情况描述*/
        ,left_clid                                                 /*外显号码*/
        ,left_clid_area                                            /*外显号码归属地区*/
        ,left_clid_province                                        /*外显号码归属省份*/
        ,left_clid_city                                            /*外显号码归属城市*/
        ,trunk_group_key                                           /*中继组号*/
        ,xnumber                                                   /*虚拟号码*/
        ,xnumber_area                                              /*虚拟号码归属地区*/
        ,xnumber_province                                          /*虚拟号码归属省份*/
        ,xnumber_city                                              /*虚拟号码归属城市*/
        ,status                                                    /*接听状态值*/
        ,status_desc                                               /*接听状态描述*/
        ,tag_names                                                 /*通话标签*/
        ,request_unique_id                                         /*通话唯一ID*/
        ,ob_sip_cause                                              /*呼叫结果*/
        ,on_hook_source                                            /*挂断方*/
        ,record_file                                               /*录音文件*/
        ,tsi_file                                                  /*客户彩铃录音*/
        ,asr_record                                                /*转写记录标识 */
        ,evaluation                                                /*是否邀评*/
        ,investigation_keys                                        /*满意度评价*/
        ,call_id                                                   /*CallID*/
        ,webrtc_call_id                                            /*WebRTCCallID*/
        ,rtc_uid                                                   /*RtcUid*/
        ,cno                                                       /*座席工号*/
        ,client_name                                               /*座席名称*/
        ,client_number                                             /*座席电话*/
        ,start_time                                                /*开始时间*/
        ,up_time                                                   /*座席接起时间*/
        ,callee_ringing_time                                       /*客户响铃时间*/
        ,bridge_time                                               /*客户接听时间*/
        ,end_time                                                  /*结束时间*/
        ,bridge_duration                                           /*通话时长*/
        ,total_duration                                            /*总时长*/
        ,pre_ring_wait_duration                                    /*响铃前等待时长*/
        ,callee_ringing_duration                                   /*客户响铃时长*/
        ,ob_wait_duration                                          /*外呼等待时长*/
        ,task_id                                                   /*外呼任务id*/
        ,task_name                                                 /*外呼任务名称*/
        ,task_inventory_id                                         /*外呼任务详情id*/
        ,exist_ticket                                              /*是否存在工单*/
        ,ticket_ids                                                /*工单id*/
        ,exist_business                                            /*是否存在业务记录*/
        ,business_ids                                              /*业务记录ID*/
        ,user_field                                                /*自定义字段*/
        ,exist_customer                                            /*是否存在客户资料*/
        ,customer_area_code                                        /*客户号码区号*/
        ,customer_post_code                                        /*追加客户邮编*/
        ,customer_vip                                              /*客户VIP标识*/
        ,enterprise_id                                             /*企业号*/
        ,mark_data                                                 /*备注*/
        ,cdrobagent_type                                           /*cdrObAgent*/
        ,ob_unique_id                                              /*通话ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
    SELECT
         P1.customer_number                                           /*客户号码*/
        ,P1.customer_number_encrypt                                   /*客户号码加密串*/
        ,P1.customer_area                                             /*客户地区，省份/城市*/
        ,P1.customer_province                                         /*客户号码省份*/
        ,P1.customer_city                                             /*客户号码城市*/
        ,P1.call_type                                                 /*通话类型*/
        ,P1.call_type_key                                             /*通话类型Key值*/
        ,P1.call_type_desc                                            /*通话类型描述*/
        ,P1.detail_call_type                                          /*呼叫类型*/
        ,P1.detail_call_type_desc                                     /*呼叫类型描述*/
        ,P1.sip_cause                                                 /*呼叫情况*/
        ,P1.sip_cause_desc                                            /*呼叫情况描述*/
        ,P1.left_clid                                                 /*外显号码*/
        ,P1.left_clid_area                                            /*外显号码归属地区*/
        ,P1.left_clid_province                                        /*外显号码归属省份*/
        ,P1.left_clid_city                                            /*外显号码归属城市*/
        ,P1.trunk_group_key                                           /*中继组号*/
        ,P1.xnumber                                                   /*虚拟号码*/
        ,P1.xnumber_area                                              /*虚拟号码归属地区*/
        ,P1.xnumber_province                                          /*虚拟号码归属省份*/
        ,P1.xnumber_city                                              /*虚拟号码归属城市*/
        ,P1.status                                                    /*接听状态值*/
        ,P1.status_desc                                               /*接听状态描述*/
        ,P1.tag_names                                                 /*通话标签*/
        ,P1.request_unique_id                                         /*通话唯一ID*/
        ,P1.ob_sip_cause                                              /*呼叫结果*/
        ,P1.on_hook_source                                            /*挂断方*/
        ,P1.record_file                                               /*录音文件*/
        ,P1.tsi_file                                                  /*客户彩铃录音*/
        ,P1.asr_record                                                /*转写记录标识 */
        ,P1.evaluation                                                /*是否邀评*/
        ,P1.investigation_keys                                        /*满意度评价*/
        ,P1.call_id                                                   /*CallID*/
        ,P1.webrtc_call_id                                            /*WebRTCCallID*/
        ,P1.rtc_uid                                                   /*RtcUid*/
        ,P1.cno                                                       /*座席工号*/
        ,P1.client_name                                               /*座席名称*/
        ,P1.client_number                                             /*座席电话*/
        ,P1.start_time                                                /*开始时间*/
        ,P1.up_time                                                   /*座席接起时间*/
        ,P1.callee_ringing_time                                       /*客户响铃时间*/
        ,P1.bridge_time                                               /*客户接听时间*/
        ,P1.end_time                                                  /*结束时间*/
        ,P1.bridge_duration                                           /*通话时长*/
        ,P1.total_duration                                            /*总时长*/
        ,P1.pre_ring_wait_duration                                    /*响铃前等待时长*/
        ,P1.callee_ringing_duration                                   /*客户响铃时长*/
        ,P1.ob_wait_duration                                          /*外呼等待时长*/
        ,P1.task_id                                                   /*外呼任务id*/
        ,P1.task_name                                                 /*外呼任务名称*/
        ,P1.task_inventory_id                                         /*外呼任务详情id*/
        ,P1.exist_ticket                                              /*是否存在工单*/
        ,P1.ticket_ids                                                /*工单id*/
        ,P1.exist_business                                            /*是否存在业务记录*/
        ,P1.business_ids                                              /*业务记录ID*/
        ,P1.user_field                                                /*自定义字段*/
        ,P1.exist_customer                                            /*是否存在客户资料*/
        ,P1.customer_area_code                                        /*客户号码区号*/
        ,P1.customer_post_code                                        /*追加客户邮编*/
        ,P1.customer_vip                                              /*客户VIP标识*/
        ,P1.enterprise_id                                             /*企业号*/
        ,P1.mark_data                                                 /*备注*/
        ,P1.cdrobagent_type                                           /*cdrObAgent*/
        ,P1.ob_unique_id                                              /*通话ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_ccc_ob_record_agi_CUR_I P1
LEFT JOIN :PDMDB.t01_ccc_ob_record P2
ON    P1.customer_number = P2.customer_number
    AND P1.customer_number_encrypt = P2.customer_number_encrypt
    AND P1.customer_area = P2.customer_area
    AND P1.customer_province = P2.customer_province
    AND P1.customer_city = P2.customer_city
    AND P1.call_type = P2.call_type
    AND P1.call_type_key = P2.call_type_key
    AND P1.call_type_desc = P2.call_type_desc
    AND P1.detail_call_type = P2.detail_call_type
    AND P1.detail_call_type_desc = P2.detail_call_type_desc
    AND P1.sip_cause = P2.sip_cause
    AND P1.sip_cause_desc = P2.sip_cause_desc
    AND P1.left_clid = P2.left_clid
    AND P1.left_clid_area = P2.left_clid_area
    AND P1.left_clid_province = P2.left_clid_province
    AND P1.left_clid_city = P2.left_clid_city
    AND P1.trunk_group_key = P2.trunk_group_key
    AND P1.xnumber = P2.xnumber
    AND P1.xnumber_area = P2.xnumber_area
    AND P1.xnumber_province = P2.xnumber_province
    AND P1.xnumber_city = P2.xnumber_city
    AND P1.status = P2.status
    AND P1.status_desc = P2.status_desc
    AND P1.tag_names = P2.tag_names
    AND P1.request_unique_id = P2.request_unique_id
    AND P1.ob_sip_cause = P2.ob_sip_cause
    AND P1.on_hook_source = P2.on_hook_source
    AND P1.record_file = P2.record_file
    AND P1.tsi_file = P2.tsi_file
    AND P1.asr_record = P2.asr_record
    AND P1.evaluation = P2.evaluation
    AND P1.investigation_keys = P2.investigation_keys
    AND P1.call_id = P2.call_id
    AND P1.webrtc_call_id = P2.webrtc_call_id
    AND P1.rtc_uid = P2.rtc_uid
    AND P1.cno = P2.cno
    AND P1.client_name = P2.client_name
    AND P1.client_number = P2.client_number
    AND P1.start_time = P2.start_time
    AND P1.up_time = P2.up_time
    AND P1.callee_ringing_time = P2.callee_ringing_time
    AND P1.bridge_time = P2.bridge_time
    AND P1.end_time = P2.end_time
    AND P1.bridge_duration = P2.bridge_duration
    AND P1.total_duration = P2.total_duration
    AND P1.pre_ring_wait_duration = P2.pre_ring_wait_duration
    AND P1.callee_ringing_duration = P2.callee_ringing_duration
    AND P1.ob_wait_duration = P2.ob_wait_duration
    AND P1.task_id = P2.task_id
    AND P1.task_name = P2.task_name
    AND P1.task_inventory_id = P2.task_inventory_id
    AND P1.exist_ticket = P2.exist_ticket
    AND P1.ticket_ids = P2.ticket_ids
    AND P1.exist_business = P2.exist_business
    AND P1.business_ids = P2.business_ids
    AND P1.user_field = P2.user_field
    AND P1.exist_customer = P2.exist_customer
    AND P1.customer_area_code = P2.customer_area_code
    AND P1.customer_post_code = P2.customer_post_code
    AND P1.customer_vip = P2.customer_vip
    AND P1.enterprise_id = P2.enterprise_id
    AND P1.mark_data = P2.mark_data
    AND P1.cdrobagent_type = P2.cdrobagent_type
    AND P1.ob_unique_id = P2.ob_unique_id
    
WHERE  P2.customer_number IS NULL
    OR P2.customer_number_encrypt IS NULL
    OR P2.customer_area IS NULL
    OR P2.customer_province IS NULL
    OR P2.customer_city IS NULL
    OR P2.call_type IS NULL
    OR P2.call_type_key IS NULL
    OR P2.call_type_desc IS NULL
    OR P2.detail_call_type IS NULL
    OR P2.detail_call_type_desc IS NULL
    OR P2.sip_cause IS NULL
    OR P2.sip_cause_desc IS NULL
    OR P2.left_clid IS NULL
    OR P2.left_clid_area IS NULL
    OR P2.left_clid_province IS NULL
    OR P2.left_clid_city IS NULL
    OR P2.trunk_group_key IS NULL
    OR P2.xnumber IS NULL
    OR P2.xnumber_area IS NULL
    OR P2.xnumber_province IS NULL
    OR P2.xnumber_city IS NULL
    OR P2.status IS NULL
    OR P2.status_desc IS NULL
    OR P2.tag_names IS NULL
    OR P2.request_unique_id IS NULL
    OR P2.ob_sip_cause IS NULL
    OR P2.on_hook_source IS NULL
    OR P2.record_file IS NULL
    OR P2.tsi_file IS NULL
    OR P2.asr_record IS NULL
    OR P2.evaluation IS NULL
    OR P2.investigation_keys IS NULL
    OR P2.call_id IS NULL
    OR P2.webrtc_call_id IS NULL
    OR P2.rtc_uid IS NULL
    OR P2.cno IS NULL
    OR P2.client_name IS NULL
    OR P2.client_number IS NULL
    OR P2.start_time IS NULL
    OR P2.up_time IS NULL
    OR P2.callee_ringing_time IS NULL
    OR P2.bridge_time IS NULL
    OR P2.end_time IS NULL
    OR P2.bridge_duration IS NULL
    OR P2.total_duration IS NULL
    OR P2.pre_ring_wait_duration IS NULL
    OR P2.callee_ringing_duration IS NULL
    OR P2.ob_wait_duration IS NULL
    OR P2.task_id IS NULL
    OR P2.task_name IS NULL
    OR P2.task_inventory_id IS NULL
    OR P2.exist_ticket IS NULL
    OR P2.ticket_ids IS NULL
    OR P2.exist_business IS NULL
    OR P2.business_ids IS NULL
    OR P2.user_field IS NULL
    OR P2.exist_customer IS NULL
    OR P2.customer_area_code IS NULL
    OR P2.customer_post_code IS NULL
    OR P2.customer_vip IS NULL
    OR P2.enterprise_id IS NULL
    OR P2.mark_data IS NULL
    OR P2.cdrobagent_type IS NULL
    OR P2.ob_unique_id IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :PDMDB.t01_ccc_ob_record (
         customer_number                                           /*客户号码*/
        ,customer_number_encrypt                                   /*客户号码加密串*/
        ,customer_area                                             /*客户地区，省份/城市*/
        ,customer_province                                         /*客户号码省份*/
        ,customer_city                                             /*客户号码城市*/
        ,call_type                                                 /*通话类型*/
        ,call_type_key                                             /*通话类型Key值*/
        ,call_type_desc                                            /*通话类型描述*/
        ,detail_call_type                                          /*呼叫类型*/
        ,detail_call_type_desc                                     /*呼叫类型描述*/
        ,sip_cause                                                 /*呼叫情况*/
        ,sip_cause_desc                                            /*呼叫情况描述*/
        ,left_clid                                                 /*外显号码*/
        ,left_clid_area                                            /*外显号码归属地区*/
        ,left_clid_province                                        /*外显号码归属省份*/
        ,left_clid_city                                            /*外显号码归属城市*/
        ,trunk_group_key                                           /*中继组号*/
        ,xnumber                                                   /*虚拟号码*/
        ,xnumber_area                                              /*虚拟号码归属地区*/
        ,xnumber_province                                          /*虚拟号码归属省份*/
        ,xnumber_city                                              /*虚拟号码归属城市*/
        ,status                                                    /*接听状态值*/
        ,status_desc                                               /*接听状态描述*/
        ,tag_names                                                 /*通话标签*/
        ,request_unique_id                                         /*通话唯一ID*/
        ,ob_sip_cause                                              /*呼叫结果*/
        ,on_hook_source                                            /*挂断方*/
        ,record_file                                               /*录音文件*/
        ,tsi_file                                                  /*客户彩铃录音*/
        ,asr_record                                                /*转写记录标识 */
        ,evaluation                                                /*是否邀评*/
        ,investigation_keys                                        /*满意度评价*/
        ,call_id                                                   /*CallID*/
        ,webrtc_call_id                                            /*WebRTCCallID*/
        ,rtc_uid                                                   /*RtcUid*/
        ,cno                                                       /*座席工号*/
        ,client_name                                               /*座席名称*/
        ,client_number                                             /*座席电话*/
        ,start_time                                                /*开始时间*/
        ,up_time                                                   /*座席接起时间*/
        ,callee_ringing_time                                       /*客户响铃时间*/
        ,bridge_time                                               /*客户接听时间*/
        ,end_time                                                  /*结束时间*/
        ,bridge_duration                                           /*通话时长*/
        ,total_duration                                            /*总时长*/
        ,pre_ring_wait_duration                                    /*响铃前等待时长*/
        ,callee_ringing_duration                                   /*客户响铃时长*/
        ,ob_wait_duration                                          /*外呼等待时长*/
        ,task_id                                                   /*外呼任务id*/
        ,task_name                                                 /*外呼任务名称*/
        ,task_inventory_id                                         /*外呼任务详情id*/
        ,exist_ticket                                              /*是否存在工单*/
        ,ticket_ids                                                /*工单id*/
        ,exist_business                                            /*是否存在业务记录*/
        ,business_ids                                              /*业务记录ID*/
        ,user_field                                                /*自定义字段*/
        ,exist_customer                                            /*是否存在客户资料*/
        ,customer_area_code                                        /*客户号码区号*/
        ,customer_post_code                                        /*追加客户邮编*/
        ,customer_vip                                              /*客户VIP标识*/
        ,enterprise_id                                             /*企业号*/
        ,mark_data                                                 /*备注*/
        ,cdrobagent_type                                           /*cdrObAgent*/
        ,ob_unique_id                                              /*通话ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
SELECT
         P1.customer_number                                           /*客户号码*/
        ,P1.customer_number_encrypt                                   /*客户号码加密串*/
        ,P1.customer_area                                             /*客户地区，省份/城市*/
        ,P1.customer_province                                         /*客户号码省份*/
        ,P1.customer_city                                             /*客户号码城市*/
        ,P1.call_type                                                 /*通话类型*/
        ,P1.call_type_key                                             /*通话类型Key值*/
        ,P1.call_type_desc                                            /*通话类型描述*/
        ,P1.detail_call_type                                          /*呼叫类型*/
        ,P1.detail_call_type_desc                                     /*呼叫类型描述*/
        ,P1.sip_cause                                                 /*呼叫情况*/
        ,P1.sip_cause_desc                                            /*呼叫情况描述*/
        ,P1.left_clid                                                 /*外显号码*/
        ,P1.left_clid_area                                            /*外显号码归属地区*/
        ,P1.left_clid_province                                        /*外显号码归属省份*/
        ,P1.left_clid_city                                            /*外显号码归属城市*/
        ,P1.trunk_group_key                                           /*中继组号*/
        ,P1.xnumber                                                   /*虚拟号码*/
        ,P1.xnumber_area                                              /*虚拟号码归属地区*/
        ,P1.xnumber_province                                          /*虚拟号码归属省份*/
        ,P1.xnumber_city                                              /*虚拟号码归属城市*/
        ,P1.status                                                    /*接听状态值*/
        ,P1.status_desc                                               /*接听状态描述*/
        ,P1.tag_names                                                 /*通话标签*/
        ,P1.request_unique_id                                         /*通话唯一ID*/
        ,P1.ob_sip_cause                                              /*呼叫结果*/
        ,P1.on_hook_source                                            /*挂断方*/
        ,P1.record_file                                               /*录音文件*/
        ,P1.tsi_file                                                  /*客户彩铃录音*/
        ,P1.asr_record                                                /*转写记录标识 */
        ,P1.evaluation                                                /*是否邀评*/
        ,P1.investigation_keys                                        /*满意度评价*/
        ,P1.call_id                                                   /*CallID*/
        ,P1.webrtc_call_id                                            /*WebRTCCallID*/
        ,P1.rtc_uid                                                   /*RtcUid*/
        ,P1.cno                                                       /*座席工号*/
        ,P1.client_name                                               /*座席名称*/
        ,P1.client_number                                             /*座席电话*/
        ,P1.start_time                                                /*开始时间*/
        ,P1.up_time                                                   /*座席接起时间*/
        ,P1.callee_ringing_time                                       /*客户响铃时间*/
        ,P1.bridge_time                                               /*客户接听时间*/
        ,P1.end_time                                                  /*结束时间*/
        ,P1.bridge_duration                                           /*通话时长*/
        ,P1.total_duration                                            /*总时长*/
        ,P1.pre_ring_wait_duration                                    /*响铃前等待时长*/
        ,P1.callee_ringing_duration                                   /*客户响铃时长*/
        ,P1.ob_wait_duration                                          /*外呼等待时长*/
        ,P1.task_id                                                   /*外呼任务id*/
        ,P1.task_name                                                 /*外呼任务名称*/
        ,P1.task_inventory_id                                         /*外呼任务详情id*/
        ,P1.exist_ticket                                              /*是否存在工单*/
        ,P1.ticket_ids                                                /*工单id*/
        ,P1.exist_business                                            /*是否存在业务记录*/
        ,P1.business_ids                                              /*业务记录ID*/
        ,P1.user_field                                                /*自定义字段*/
        ,P1.exist_customer                                            /*是否存在客户资料*/
        ,P1.customer_area_code                                        /*客户号码区号*/
        ,P1.customer_post_code                                        /*追加客户邮编*/
        ,P1.customer_vip                                              /*客户VIP标识*/
        ,P1.enterprise_id                                             /*企业号*/
        ,P1.mark_data                                                 /*备注*/
        ,P1.cdrobagent_type                                           /*cdrObAgent*/
        ,P1.ob_unique_id                                              /*通话ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_ccc_ob_record_agi_INS P1
ON CONFLICT ( ob_unique_id)
DO UPDATE SET
     ob_unique_id=excluded.ob_unique_id
    ,customer_number=excluded.customer_number
    ,customer_number_encrypt=excluded.customer_number_encrypt
    ,customer_area=excluded.customer_area
    ,customer_province=excluded.customer_province
    ,customer_city=excluded.customer_city
    ,call_type=excluded.call_type
    ,call_type_key=excluded.call_type_key
    ,call_type_desc=excluded.call_type_desc
    ,detail_call_type=excluded.detail_call_type
    ,detail_call_type_desc=excluded.detail_call_type_desc
    ,sip_cause=excluded.sip_cause
    ,sip_cause_desc=excluded.sip_cause_desc
    ,left_clid=excluded.left_clid
    ,left_clid_area=excluded.left_clid_area
    ,left_clid_province=excluded.left_clid_province
    ,left_clid_city=excluded.left_clid_city
    ,trunk_group_key=excluded.trunk_group_key
    ,xnumber=excluded.xnumber
    ,xnumber_area=excluded.xnumber_area
    ,xnumber_province=excluded.xnumber_province
    ,xnumber_city=excluded.xnumber_city
    ,status=excluded.status
    ,status_desc=excluded.status_desc
    ,tag_names=excluded.tag_names
    ,request_unique_id=excluded.request_unique_id
    ,ob_sip_cause=excluded.ob_sip_cause
    ,on_hook_source=excluded.on_hook_source
    ,record_file=excluded.record_file
    ,tsi_file=excluded.tsi_file
    ,asr_record=excluded.asr_record
    ,evaluation=excluded.evaluation
    ,investigation_keys=excluded.investigation_keys
    ,call_id=excluded.call_id
    ,webrtc_call_id=excluded.webrtc_call_id
    ,rtc_uid=excluded.rtc_uid
    ,cno=excluded.cno
    ,client_name=excluded.client_name
    ,client_number=excluded.client_number
    ,start_time=excluded.start_time
    ,up_time=excluded.up_time
    ,callee_ringing_time=excluded.callee_ringing_time
    ,bridge_time=excluded.bridge_time
    ,end_time=excluded.end_time
    ,bridge_duration=excluded.bridge_duration
    ,total_duration=excluded.total_duration
    ,pre_ring_wait_duration=excluded.pre_ring_wait_duration
    ,callee_ringing_duration=excluded.callee_ringing_duration
    ,ob_wait_duration=excluded.ob_wait_duration
    ,task_id=excluded.task_id
    ,task_name=excluded.task_name
    ,task_inventory_id=excluded.task_inventory_id
    ,exist_ticket=excluded.exist_ticket
    ,ticket_ids=excluded.ticket_ids
    ,exist_business=excluded.exist_business
    ,business_ids=excluded.business_ids
    ,user_field=excluded.user_field
    ,exist_customer=excluded.exist_customer
    ,customer_area_code=excluded.customer_area_code
    ,customer_post_code=excluded.customer_post_code
    ,customer_vip=excluded.customer_vip
    ,enterprise_id=excluded.enterprise_id
    ,mark_data=excluded.mark_data
    ,cdrobagent_type=excluded.cdrobagent_type
    ,Etl_Batch_No=excluded.Etl_Batch_No
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Job=excluded.Etl_Job
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    

;
/*****程序结束退出                                               */
\q

