
create table if not exists p10_sa.S98_S_tr_cc_cdr_ib_agent_list (
	 unique_id  TEXT 
	, main_unique_id  TEXT 
	, qno  TEXT 
	, qname  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, bridge_status  TEXT 
	, bridge_status_detail  TEXT 
	, sip_cause_desc  TEXT 
	, on_hook_source  TEXT 
	, agent_answer_in_time  TEXT 
	, detail_call_type  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, record_file  TEXT 
	, start_time  TEXT 
	, ring_time  TEXT 
	, ib_ringing_duration  TEXT 
	, answer_time  TEXT 
	, offhook_time  TEXT 
	, say_voice_duration  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, hotline  TEXT 
	, hotline_name  TEXT 
	, remember  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.unique_id IS '唯一标识'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.qno IS '来电队列号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.qname IS '来电队列名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.cno IS '座席号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.client_name IS '座席名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.client_number IS '座席电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.bridge_status IS '接听状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.bridge_status_detail IS '呼叫结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.sip_cause_desc IS '呼叫情况'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.agent_answer_in_time IS '及时应答'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.detail_call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.record_file IS '录音文件名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.ring_time IS '振铃时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.ib_ringing_duration IS '振铃时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.answer_time IS '接听时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.offhook_time IS '座席接起时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.say_voice_duration IS '语音播报时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.customer_number IS '客户号码，带区号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.hotline IS '热线号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.hotline_name IS '热线别名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.remember IS '主叫记忆'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_agent_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_cc_cdr_ib_agent_list IS '座席接听记录列表';



create table if not exists p12_sfull.S98_S_tr_cc_cdr_ib_agent_list (
	 unique_id  TEXT 
	, main_unique_id  TEXT 
	, qno  TEXT 
	, qname  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, bridge_status  TEXT 
	, bridge_status_detail  TEXT 
	, sip_cause_desc  TEXT 
	, on_hook_source  TEXT 
	, agent_answer_in_time  TEXT 
	, detail_call_type  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, record_file  TEXT 
	, start_time  TEXT 
	, ring_time  TEXT 
	, ib_ringing_duration  TEXT 
	, answer_time  TEXT 
	, offhook_time  TEXT 
	, say_voice_duration  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, hotline  TEXT 
	, hotline_name  TEXT 
	, remember  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.unique_id IS '唯一标识'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.qno IS '来电队列号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.qname IS '来电队列名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.cno IS '座席号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.client_name IS '座席名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.client_number IS '座席电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.bridge_status IS '接听状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.bridge_status_detail IS '呼叫结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.sip_cause_desc IS '呼叫情况'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.agent_answer_in_time IS '及时应答'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.detail_call_type IS '呼叫类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.record_file IS '录音文件名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.ring_time IS '振铃时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.ib_ringing_duration IS '振铃时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.answer_time IS '接听时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.offhook_time IS '座席接起时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.say_voice_duration IS '语音播报时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.customer_number IS '客户号码，带区号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.hotline IS '热线号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.hotline_name IS '热线别名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.remember IS '主叫记忆'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_agent_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_cc_cdr_ib_agent_list IS '座席接听记录列表';

