
create table if not exists p10_sa.S98_S_tr_cc_cdr_ib_list (
	 customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, first_call_number  TEXT 
	, first_call_cno  TEXT 
	, first_call_cname  TEXT 
	, first_call_qno  TEXT 
	, first_call_qname  TEXT 
	, ivr_name  TEXT 
	, hotline  TEXT 
	, hotline_name  TEXT 
	, xnumber  TEXT 
	, status  TEXT 
	, status_result  TEXT 
	, status_robot  TEXT 
	, main_unique_id  TEXT 
	, tag_names  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, record_file  TEXT 
	, on_hook_source  TEXT 
	, investigation_keys  TEXT 
	, agent_answer_in_time  TEXT 
	, evaluation  TEXT 
	, user_field  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, bridge_time  TEXT 
	, bridge_duration  TEXT 
	, total_duration  TEXT 
	, first_join_queue_time  TEXT 
	, say_voice_duration  TEXT 
	, mark_data  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_call_number IS '首呼座席电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_call_cno IS '首呼座席工号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_call_cname IS '首呼座席姓名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_call_qno IS '首呼队列号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_call_qname IS '首呼队列名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.ivr_name IS 'IVR名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.hotline IS '热线号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.hotline_name IS '热线别名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.xnumber IS '虚拟号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.status IS '接听状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.status_result IS '呼叫结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.status_robot IS '机器人接听状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.tag_names IS '通话标签'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.record_file IS '录音文件'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.agent_answer_in_time IS '首次及时应答'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.user_field IS '自定义字段'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.bridge_time IS '首次接听时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.total_duration IS '总时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.first_join_queue_time IS '首次进入队列时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.say_voice_duration IS '语音播报时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.mark_data IS '备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ib_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_cc_cdr_ib_list IS '客户来电记录列表';



create table if not exists p12_sfull.S98_S_tr_cc_cdr_ib_list (
	 customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, first_call_number  TEXT 
	, first_call_cno  TEXT 
	, first_call_cname  TEXT 
	, first_call_qno  TEXT 
	, first_call_qname  TEXT 
	, ivr_name  TEXT 
	, hotline  TEXT 
	, hotline_name  TEXT 
	, xnumber  TEXT 
	, status  TEXT 
	, status_result  TEXT 
	, status_robot  TEXT 
	, main_unique_id  TEXT 
	, tag_names  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, record_file  TEXT 
	, on_hook_source  TEXT 
	, investigation_keys  TEXT 
	, agent_answer_in_time  TEXT 
	, evaluation  TEXT 
	, user_field  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, bridge_time  TEXT 
	, bridge_duration  TEXT 
	, total_duration  TEXT 
	, first_join_queue_time  TEXT 
	, say_voice_duration  TEXT 
	, mark_data  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_call_number IS '首呼座席电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_call_cno IS '首呼座席工号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_call_cname IS '首呼座席姓名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_call_qno IS '首呼队列号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_call_qname IS '首呼队列名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.ivr_name IS 'IVR名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.hotline IS '热线号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.hotline_name IS '热线别名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.xnumber IS '虚拟号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.status IS '接听状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.status_result IS '呼叫结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.status_robot IS '机器人接听状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.tag_names IS '通话标签'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.record_file IS '录音文件'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.agent_answer_in_time IS '首次及时应答'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.user_field IS '自定义字段'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.bridge_time IS '首次接听时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.total_duration IS '总时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.first_join_queue_time IS '首次进入队列时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.say_voice_duration IS '语音播报时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.mark_data IS '备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ib_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_cc_cdr_ib_list IS '客户来电记录列表';

