
create table if not exists p10_sa.S98_S_tr_cc_cdr_ob_list (
	 customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_area  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, call_type  TEXT 
	, call_type_key  TEXT 
	, left_clid  TEXT 
	, left_clid_area  TEXT 
	, left_clid_province  TEXT 
	, left_clid_city  TEXT 
	, trunk_group_key  TEXT 
	, xnumber  TEXT 
	, xnumber_area  TEXT 
	, xnumber_province  TEXT 
	, xnumber_city  TEXT 
	, status  TEXT 
	, status_desc  TEXT 
	, tag_names  TEXT 
	, main_unique_id  TEXT 
	, request_unique_id  TEXT 
	, ob_sip_cause  TEXT 
	, on_hook_source  TEXT 
	, record_file  TEXT 
	, asr_record  TEXT 
	, evaluation  TEXT 
	, investigation_keys  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, rtc_uid  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, start_time  TEXT 
	, up_time  TEXT 
	, callee_ringing_time  TEXT 
	, bridge_time  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, total_duration  TEXT 
	, pre_ring_wait_duration  TEXT 
	, callee_ringing_duration  TEXT 
	, ob_wait_duration  TEXT 
	, task_id  TEXT 
	, task_name  TEXT 
	, task_inventory_id  TEXT 
	, exist_ticket  TEXT 
	, ticket_ids  TEXT 
	, exist_business  TEXT 
	, business_ids  TEXT 
	, user_field  TEXT 
	, exist_customer  TEXT 
	, customer_area_code  TEXT 
	, customer_post_code  TEXT 
	, customer_vip  TEXT 
	, enterprise_id  TEXT 
	, mark_data  TEXT 
	, type  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_area IS '客户地区，省份/城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.call_type IS '通话类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.call_type_key IS '通话类型Key值'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.left_clid IS '外显号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.left_clid_area IS '外显号码归属地区'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.left_clid_province IS '外显号码归属省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.left_clid_city IS '外显号码归属城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.trunk_group_key IS '中继组号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.xnumber IS '虚拟号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.xnumber_area IS '虚拟号码归属地区'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.xnumber_province IS '虚拟号码归属省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.xnumber_city IS '虚拟号码归属城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.status IS '接听状态值'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.status_desc IS '接听状态描述'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.tag_names IS '通话标签'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.request_unique_id IS '通话唯一ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.ob_sip_cause IS '呼叫结果'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.record_file IS '录音文件'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.asr_record IS '转写记录标识 '; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.rtc_uid IS 'RtcUid'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.cno IS '座席工号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.client_name IS '座席名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.client_number IS '座席电话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.up_time IS '座席接起时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.callee_ringing_time IS '客户响铃时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.bridge_time IS '客户接听时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.total_duration IS '总时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.pre_ring_wait_duration IS '响铃前等待时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.callee_ringing_duration IS '客户响铃时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.ob_wait_duration IS '外呼等待时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.task_id IS '外呼任务id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.task_name IS '外呼任务名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.task_inventory_id IS '外呼任务详情id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.exist_ticket IS '是否存在工单'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.ticket_ids IS '工单id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.exist_business IS '是否存在业务记录'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.business_ids IS '业务记录ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.user_field IS '自定义字段'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.exist_customer IS '是否存在客户资料'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_area_code IS '客户号码区号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_post_code IS '追加客户邮编'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.customer_vip IS '客户VIP标识'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.enterprise_id IS '企业号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.mark_data IS '备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.type IS 'cdrObAgent'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_cc_cdr_ob_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_cc_cdr_ob_list IS '外呼记录列表';



create table if not exists p12_sfull.S98_S_tr_cc_cdr_ob_list (
	 customer_number  TEXT 
	, customer_number_encrypt  TEXT 
	, customer_area  TEXT 
	, customer_province  TEXT 
	, customer_city  TEXT 
	, call_type  TEXT 
	, call_type_key  TEXT 
	, left_clid  TEXT 
	, left_clid_area  TEXT 
	, left_clid_province  TEXT 
	, left_clid_city  TEXT 
	, trunk_group_key  TEXT 
	, xnumber  TEXT 
	, xnumber_area  TEXT 
	, xnumber_province  TEXT 
	, xnumber_city  TEXT 
	, status  TEXT 
	, status_desc  TEXT 
	, tag_names  TEXT 
	, main_unique_id  TEXT 
	, request_unique_id  TEXT 
	, ob_sip_cause  TEXT 
	, on_hook_source  TEXT 
	, record_file  TEXT 
	, asr_record  TEXT 
	, evaluation  TEXT 
	, investigation_keys  TEXT 
	, call_id  TEXT 
	, webrtc_call_id  TEXT 
	, rtc_uid  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, client_number  TEXT 
	, start_time  TEXT 
	, up_time  TEXT 
	, callee_ringing_time  TEXT 
	, bridge_time  TEXT 
	, end_time  TEXT 
	, bridge_duration  TEXT 
	, total_duration  TEXT 
	, pre_ring_wait_duration  TEXT 
	, callee_ringing_duration  TEXT 
	, ob_wait_duration  TEXT 
	, task_id  TEXT 
	, task_name  TEXT 
	, task_inventory_id  TEXT 
	, exist_ticket  TEXT 
	, ticket_ids  TEXT 
	, exist_business  TEXT 
	, business_ids  TEXT 
	, user_field  TEXT 
	, exist_customer  TEXT 
	, customer_area_code  TEXT 
	, customer_post_code  TEXT 
	, customer_vip  TEXT 
	, enterprise_id  TEXT 
	, mark_data  TEXT 
	, type  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_number IS '客户号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_number_encrypt IS '客户号码加密串'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_area IS '客户地区，省份/城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_province IS '客户号码省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_city IS '客户号码城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.call_type IS '通话类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.call_type_key IS '通话类型Key值'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.left_clid IS '外显号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.left_clid_area IS '外显号码归属地区'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.left_clid_province IS '外显号码归属省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.left_clid_city IS '外显号码归属城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.trunk_group_key IS '中继组号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.xnumber IS '虚拟号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.xnumber_area IS '虚拟号码归属地区'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.xnumber_province IS '虚拟号码归属省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.xnumber_city IS '虚拟号码归属城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.status IS '接听状态值'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.status_desc IS '接听状态描述'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.tag_names IS '通话标签'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.main_unique_id IS '通话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.request_unique_id IS '通话唯一ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.ob_sip_cause IS '呼叫结果'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.on_hook_source IS '挂断方'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.record_file IS '录音文件'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.asr_record IS '转写记录标识 '; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.evaluation IS '是否邀评'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.investigation_keys IS '满意度评价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.call_id IS 'CallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.webrtc_call_id IS 'WebRTCCallID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.rtc_uid IS 'RtcUid'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.cno IS '座席工号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.client_name IS '座席名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.client_number IS '座席电话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.start_time IS '开始时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.up_time IS '座席接起时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.callee_ringing_time IS '客户响铃时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.bridge_time IS '客户接听时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.end_time IS '结束时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.bridge_duration IS '通话时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.total_duration IS '总时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.pre_ring_wait_duration IS '响铃前等待时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.callee_ringing_duration IS '客户响铃时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.ob_wait_duration IS '外呼等待时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.task_id IS '外呼任务id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.task_name IS '外呼任务名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.task_inventory_id IS '外呼任务详情id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.exist_ticket IS '是否存在工单'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.ticket_ids IS '工单id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.exist_business IS '是否存在业务记录'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.business_ids IS '业务记录ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.user_field IS '自定义字段'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.exist_customer IS '是否存在客户资料'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_area_code IS '客户号码区号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_post_code IS '追加客户邮编'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.customer_vip IS '客户VIP标识'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.enterprise_id IS '企业号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.mark_data IS '备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.type IS 'cdrObAgent'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_cc_cdr_ob_list.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_cc_cdr_ob_list IS '外呼记录列表';

