
DROP TABLE IF EXISTS p60_mart.cust_chat_record_info;
CREATE TABLE IF NOT EXISTS p60_mart.cust_chat_record_info (
	 chat_unique_id  VARCHAR(50) 
	, chat_channel  varchar(50) 
	, contact_channel  VARCHAR(10) 
	, contact_app_id  VARCHAR(50) 
	, app_name  VARCHAR(50) 
	, group_name  varchar(50) 
	, queue_name  VARCHAR(100) 
	, service_name  varchar(50) 
	, start_time  timestamp(0) 
	, end_time  timestamp(0) 
	, chat_duration_in_seconds  int4 
	, queue_time  int4 
	, referer_url  text 
	, first_visit_page_url  text 
	, visitor_id  VARCHAR(50) 
	, visitor_name  varchar(50) 
	, visitor_mobile  varchar(20) 
	, visitor_email  varchar(100) 
	, visitor_company  varchar(50) 
	, tag_1  varchar(100) 
	, tag_2  varchar(100) 
	, tag_3  varchar(100) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( chat_unique_id )
);

 COMMENT ON COLUMN p60_mart.cust_chat_record_info.chat_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.chat_channel IS '平台'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.contact_channel IS '接入渠道'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.contact_app_id IS '接入号ID'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.app_name IS '接入号名称'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.group_name IS '分组'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.queue_name IS '队列名称'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.service_name IS '服务'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.start_time IS '会话开始时间戳'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.chat_duration_in_seconds IS '会话持续时间'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.queue_time IS '排队时长'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.referer_url IS '来源页'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.visitor_name IS '访客姓名'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.visitor_mobile IS '访客手机'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.visitor_email IS '访客邮箱'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.visitor_company IS '访客公司'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.tag_1 IS '标签1'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.tag_2 IS '标签2'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.tag_3 IS '标签3'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p60_mart.cust_chat_record_info.Src_Table IS '来源表'; 

COMMENT ON TABLE p60_mart.cust_chat_record_info IS 'ccc客户会话记录信息';