
DROP TABLE IF EXISTS p30_common.d_ccc_cust_info;
CREATE TABLE IF NOT EXISTS p30_common.d_ccc_cust_info (
	 id  VARCHAR(10) 
	, name  VARCHAR(20) 
	, sex  VARCHAR(10) 
	, tel  text 
	, email  VARCHAR(100) 
	, address  text 
	, prov  varchar(10) 
	, city  varchar(20) 
	, industry  varchar(50) 
	, company  varchar(50) 
	, app  varchar(50) 
	, level  VARCHAR(10) 
	, share_type  VARCHAR(10) 
	, share  VARCHAR(10) 
	, remark  text 
	, source  VARCHAR(10) 
	, last_contact_time  timestamp(0) 
	, last_contact_type  VARCHAR(10) 
	, create_time  timestamp(0) 
	, update_time  timestamp(0) 
	, visitor_ids  text 
	, external_id  VARCHAR(100) 
	, phase_id  VARCHAR(10) 
	, phase_reason_id  VARCHAR(10) 
	, promote_source  VARCHAR(20) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( id )
);

 COMMENT ON COLUMN p30_common.d_ccc_cust_info.id IS '客户资料id'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.name IS '客户名称'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.sex IS '客户性别'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.tel IS '客户号码'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.email IS '邮箱'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.address IS '地址'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.prov IS '省份'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.city IS '城市'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.industry IS '行业'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.company IS '公司'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.app IS '应用'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.level IS '客户等级'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.share_type IS '归属类型，0：全体共享、1：员工组共享、2：员工私有、3：无归属'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.share IS '客户归属'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.remark IS '备注'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.source IS '客户来源'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.last_contact_time IS '最后一次联系时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.last_contact_type IS '最后一次联系类型'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.create_time IS '创建时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.update_time IS '更新时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.visitor_ids IS '访客ids'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.external_id IS '外部企业客户ID （第三方平台 ID）'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.phase_id IS '客户阶段id'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.phase_reason_id IS '阶段原因id'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.promote_source IS '推广来源'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.d_ccc_cust_info.Src_Table IS '来源表'; 

COMMENT ON TABLE p30_common.d_ccc_cust_info IS 'ccc客户信息';