
DROP TABLE IF EXISTS p20_pdm.t01_ccc_chat_message_detail;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_ccc_chat_message_detail (
	 message_unique_id  varchar(50) 
	, chat_unique_id  varchar(50) 
	, sender_id  varchar(50) 
	, sender_name  varchar(50) 
	, sender_type  varchar(10) 
	, message_type  varchar(10) 
	, content  text 
	, file_address  text 
	, file_name  varchar(100) 
	, file_url  text 
	, send_status  varchar(10) 
	, sensitive_word  text 
	, create_time  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( message_unique_id )
);

 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.message_unique_id IS ' 消息编号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.chat_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.sender_id IS '消息发送方ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.sender_name IS '消息发送方名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.sender_type IS '消息发送方类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.message_type IS '消息类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.content IS '消息内容'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.file_address IS '文件的地址'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.file_name IS '文件名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.file_url IS '文件访问路径'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.send_status IS '消息发送状态'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.sensitive_word IS '敏感词'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.create_time IS '消息创建时间戳'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_chat_message_detail.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_ccc_chat_message_detail IS 'smartccc会话消息详情';