
create table if not exists p10_sa.S98_S_tr_chat_records (
	 main_unique_id  TEXT 
	, contact_type  TEXT 
	, app_id  TEXT 
	, app_name  TEXT 
	, visitor_id  TEXT 
	, visitor_name  TEXT 
	, robot_id  TEXT 
	, robot_name  TEXT 
	, robot_start_time  TEXT 
	, robot_end_time  TEXT 
	, qno  TEXT 
	, qname  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, chat_duration_type  TEXT 
	, close_status  TEXT 
	, close_reason  TEXT 
	, open_type  TEXT 
	, first_response_duration  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, queue_time  TEXT 
	, join_queue_time  TEXT 
	, bridge_time  TEXT 
	, session_type  TEXT 
	, chat_valid_session  TEXT 
	, comment_session  TEXT 
	, invitation_initiator  TEXT 
	, keys  TEXT 
	, remark  TEXT 
	, ip  TEXT 
	, customer_region  TEXT 
	, chat_times  TEXT 
	, invited_times  TEXT 
	, search_word  TEXT 
	, operating_system  TEXT 
	, browser  TEXT 
	, referer_name  TEXT 
	, referer_url  TEXT 
	, first_visit_page_url  TEXT 
	, initiation_page_url  TEXT 
	, visit_tracks  TEXT 
	, visitor_extra_info  TEXT 
	, device_type  TEXT 
	, app_type  TEXT 
	, province  TEXT 
	, city  TEXT 
	, referrer_name  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.contact_type IS '接入渠道'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.app_id IS '接入号ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.app_name IS '接入号名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.visitor_name IS '访客姓名'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.robot_id IS '机器人客服ID'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.robot_name IS '机器人客服名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.robot_start_time IS '机器人客服接入会话时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.robot_end_time IS '机器人客服结束会话时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.qno IS '接入队列号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.qname IS '队列名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.cno IS '接待座席号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.client_name IS '座席名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.chat_duration_type IS '接待类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.close_status IS '会话结束时状态'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.close_reason IS '会话结束原因'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.open_type IS '会话发起方式'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.first_response_duration IS '座席首次响应时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.start_time IS '会话开始时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.queue_time IS '排队时长'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.join_queue_time IS '接入队列时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.bridge_time IS '座席接入时间戳'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.session_type IS '会话是否有人工客服接入'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.chat_valid_session IS '是否是有效会话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.comment_session IS '是否是通过留言发起的会话'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.invitation_initiator IS '满意度评价发起方式'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.keys IS '满意度评价'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.remark IS '满意度评价备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.ip IS '访客IP'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.customer_region IS '访问地区'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.chat_times IS '会话次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.invited_times IS '被邀请次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.search_word IS '搜索词，通过对来源页解析，获取搜索参数参数。'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.operating_system IS '操作系统'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.browser IS '浏览器型号'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.referer_name IS '访客来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.referer_url IS '来源页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.initiation_page_url IS '会话发起页'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.visit_tracks IS '浏览轨迹'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.visitor_extra_info IS '访客自定义参数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.device_type IS '访客设备类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.app_type IS '接入渠道类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.province IS '访客会话时所在省份'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.city IS '访客会话时所在城市'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.referrer_name IS '访客来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_chat_records.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_chat_records IS '会话记录列表';



create table if not exists p12_sfull.S98_S_tr_chat_records (
	 main_unique_id  TEXT 
	, contact_type  TEXT 
	, app_id  TEXT 
	, app_name  TEXT 
	, visitor_id  TEXT 
	, visitor_name  TEXT 
	, robot_id  TEXT 
	, robot_name  TEXT 
	, robot_start_time  TEXT 
	, robot_end_time  TEXT 
	, qno  TEXT 
	, qname  TEXT 
	, cno  TEXT 
	, client_name  TEXT 
	, chat_duration_type  TEXT 
	, close_status  TEXT 
	, close_reason  TEXT 
	, open_type  TEXT 
	, first_response_duration  TEXT 
	, start_time  TEXT 
	, end_time  TEXT 
	, queue_time  TEXT 
	, join_queue_time  TEXT 
	, bridge_time  TEXT 
	, session_type  TEXT 
	, chat_valid_session  TEXT 
	, comment_session  TEXT 
	, invitation_initiator  TEXT 
	, keys  TEXT 
	, remark  TEXT 
	, ip  TEXT 
	, customer_region  TEXT 
	, chat_times  TEXT 
	, invited_times  TEXT 
	, search_word  TEXT 
	, operating_system  TEXT 
	, browser  TEXT 
	, referer_name  TEXT 
	, referer_url  TEXT 
	, first_visit_page_url  TEXT 
	, initiation_page_url  TEXT 
	, visit_tracks  TEXT 
	, visitor_extra_info  TEXT 
	, device_type  TEXT 
	, app_type  TEXT 
	, province  TEXT 
	, city  TEXT 
	, referrer_name  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.main_unique_id IS '在线客服会话ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.contact_type IS '接入渠道'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.app_id IS '接入号ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.app_name IS '接入号名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.visitor_id IS '访客ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.visitor_name IS '访客姓名'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.robot_id IS '机器人客服ID'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.robot_name IS '机器人客服名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.robot_start_time IS '机器人客服接入会话时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.robot_end_time IS '机器人客服结束会话时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.qno IS '接入队列号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.qname IS '队列名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.cno IS '接待座席号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.client_name IS '座席名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.chat_duration_type IS '接待类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.close_status IS '会话结束时状态'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.close_reason IS '会话结束原因'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.open_type IS '会话发起方式'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.first_response_duration IS '座席首次响应时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.start_time IS '会话开始时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.end_time IS '会话结束时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.queue_time IS '排队时长'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.join_queue_time IS '接入队列时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.bridge_time IS '座席接入时间戳'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.session_type IS '会话是否有人工客服接入'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.chat_valid_session IS '是否是有效会话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.comment_session IS '是否是通过留言发起的会话'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.invitation_initiator IS '满意度评价发起方式'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.keys IS '满意度评价'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.remark IS '满意度评价备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.ip IS '访客IP'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.customer_region IS '访问地区'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.chat_times IS '会话次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.invited_times IS '被邀请次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.search_word IS '搜索词，通过对来源页解析，获取搜索参数参数。'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.operating_system IS '操作系统'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.browser IS '浏览器型号'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.referer_name IS '访客来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.referer_url IS '来源页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.first_visit_page_url IS '着陆页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.initiation_page_url IS '会话发起页'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.visit_tracks IS '浏览轨迹'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.visitor_extra_info IS '访客自定义参数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.device_type IS '访客设备类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.app_type IS '接入渠道类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.province IS '访客会话时所在省份'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.city IS '访客会话时所在城市'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.referrer_name IS '访客来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_chat_records.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_chat_records IS '会话记录列表';

