/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on
 
DELETE FROM data_api.tr_chat_messages;

insert into  data_api.tr_chat_messages ( 
	 unique_id 
	, main_unique_id 
	, sender_id 
	, sender_name 
	, sender_type 
	, message_type 
	, content 
	, file_key 
	, file_name 
	, file_url 
	, send_status 
	, sensitive_word 
	, create_time 
	,etl_tx_dt
)
select 
	 case when trim(both from unique_id)='' then null else  unique_id::text  end  unique_id 
	, case when trim(both from main_unique_id)='' then null else  main_unique_id::text  end  main_unique_id 
	, case when trim(both from sender_id)='' then null else  sender_id::text  end  sender_id 
	, case when trim(both from sender_name)='' then null else  sender_name::text  end  sender_name 
	, case when trim(both from sender_type)='' then null else  sender_type::text  end  sender_type 
	, case when trim(both from message_type)='' then null else  message_type::text  end  message_type 
	, case when trim(both from content)='' then null else  content::text  end  content 
	, case when trim(both from file_key)='' then null else  file_key::text  end  file_key 
	, case when trim(both from file_name)='' then null else  file_name::text  end  file_name 
	, case when trim(both from file_url)='' then null else  file_url::text  end  file_url 
	, case when trim(both from send_status)='' then null else  send_status::text  end  send_status 
	, case when trim(both from sensitive_word)='' then null else  sensitive_word::text  end  sensitive_word 
	, case when trim(both from create_time)='' then null else  create_time::text  end  create_time 
,etl_tx_dt
from (
select 
	 (json_array_elements(data::json)::json->>'uniqueId')  unique_id 
	, (json_array_elements(data::json)::json->>'mainUniqueId')  main_unique_id 
	, (json_array_elements(data::json)::json->>'senderId')  sender_id 
	, (json_array_elements(data::json)::json->>'senderName')  sender_name 
	, (json_array_elements(data::json)::json->>'senderType')  sender_type 
	, (json_array_elements(data::json)::json->>'messageType')  message_type 
	, (json_array_elements(data::json)::json->>'content')  content 
	, (json_array_elements(data::json)::json->>'fileKey')  file_key 
	, (json_array_elements(data::json)::json->>'fileName')  file_name 
	, (json_array_elements(data::json)::json->>'fileUrl')  file_url 
	, (json_array_elements(data::json)::json->>'sendStatus')  send_status 
	, (json_array_elements(data::json)::json->>'sensitiveWord')  sensitive_word 
	, (json_array_elements(data::json)::json->>'createTime')  create_time 
	,CURRENT_TIMESTAMP(0)  etl_tx_dt
from (select * from data_api.api_data 
WHERE api_id='211b765fe3e04082a9f83a29e3b0c37c' and is_loaded = '0' order by request_tm desc limit 1) p )p;

update  data_api.api_data 
set is_loaded = '1' ,
	status = '1',
	request_tm = current_timestamp(0)
where api_id='211b765fe3e04082a9f83a29e3b0c37c';
\q