
DROP TABLE IF EXISTS p20_pdm.t01_ccc_cust_info;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_ccc_cust_info (
	 id  varchar(10) 
	, name  varchar(20) 
	, sex  varchar(10) 
	, tel  text 
	, email  varchar(100) 
	, address  text 
	, level  varchar(10) 
	, share_type  varchar(10) 
	, share  varchar(10) 
	, remark  text 
	, source  varchar(10) 
	, creator_type  varchar(10) 
	, creator_id  varchar(10) 
	, modifier_type  varchar(10) 
	, modifier_id  varchar(10) 
	, last_contact_time  timestamp(0) 
	, last_contact_type  varchar(10) 
	, customize  text 
	, create_time  timestamp(0) 
	, update_time  timestamp(0) 
	, visitor_ids  text 
	, creator_name  varchar(20) 
	, modifier_name  varchar(20) 
	, ib_bridged_number  int 
	, ob_bridged_number  int 
	, ob_number  int 
	, assign_time  varchar(20) 
	, external_id  varchar(100) 
	, ib_number  int 
	, retrieve  char(1) 
	, retrieve_time  varchar(20) 
	, queue_without_attribution  text 
	, phase_id  varchar(10) 
	, phase_reason_id  varchar(10) 
	, promote_source  varchar(20) 
	, repeat_promote_count  int 
	, last_repeat_promote_time  timestamp(0) 
	, label_ids  text 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( id )
);

 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.id IS '客户资料id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.name IS '客户名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.sex IS '客户性别'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.tel IS '客户号码'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.email IS '邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.address IS '地址'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.level IS '客户等级'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.share_type IS '归属类型，0：全体共享、1：员工组共享、2：员工私有、3：无归属'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.share IS '客户归属'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.remark IS '备注'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.source IS '客户来源'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.creator_type IS '创建人类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.creator_id IS '创建人id，-1：openApi'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.modifier_type IS '更新人类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.modifier_id IS '更新人id，-1：openApi'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.last_contact_time IS '最后一次联系时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.last_contact_type IS '最后一次联系类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.customize IS '该对象中，id为自定义字段id， name为自定义字段名称， value为自定义字段值'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.create_time IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.update_time IS '更新时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.visitor_ids IS '访客ids'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.modifier_name IS '更新人名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.ib_bridged_number IS '呼入接通次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.ob_bridged_number IS '呼出接通次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.ob_number IS '呼出次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.assign_time IS '分配时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.external_id IS '外部企业客户ID （第三方平台 ID）'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.ib_number IS '呼入次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.retrieve IS '是否为回收客户'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.retrieve_time IS '回收时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.queue_without_attribution IS '无归属授权员工组'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.phase_id IS '客户阶段id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.phase_reason_id IS '阶段原因id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.promote_source IS '推广来源'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.repeat_promote_count IS '重复推广次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.last_repeat_promote_time IS '最近一次重复推广时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.label_ids IS '客户标签id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_cust_info.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_ccc_cust_info IS 'smartccc客户信息';