/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_ccc_cust_label(smartccc客户标签维度)             */
/*Create Date:2024-07-11 16:01:48                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-07-11                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-07-11                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: p10_sa.s98_s_tr_custom_labels                                                    */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_ccc_cust_label                                                                  */
/*ETL Job Name:t01_ccc_cust_label                                                                  */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F1                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_cust_label_agi_CUR_I 
 ( LIKE :PDMDB.t01_ccc_cust_label)
ON COMMIT PRESERVE ROWS;


/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_tr_custom_labels********************************************************/
/*****************************************************************************************************/

INSERT INTO t01_ccc_cust_label_agi_CUR_I (
            label_id                                /*标签编号*/
           ,label_name                              /*标签名称*/
           ,label_group                             /*标签组*/
           ,label_type                              /*标签类型*/
           ,label_color                             /*标签颜色*/
           ,label_source                            /*标签来源*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         jsonb_array_elements(customer_label_list::jsonb)->'id'        /*label_id*/
        ,replace((jsonb_array_elements(customer_label_list::jsonb)->'name')::text,'"','')        /*label_name*/
        ,jsonb_array_elements(customer_label_list::jsonb)->'groupId'        /*label_group*/
        ,jsonb_array_elements(customer_label_list::jsonb)->'type'        /*label_type*/
        ,replace((jsonb_array_elements(customer_label_list::jsonb)->'color')::text,'"','')        /*label_color*/
        ,jsonb_array_elements(customer_label_list::jsonb)->'source'        /*label_source*/
        ,Substr('s98_s_tr_custom_labels',1,3)                      /*Src_Sysname*/
        ,'s98_s_tr_custom_labels'                                  /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM p10_sa.s98_s_tr_custom_labels  p0
where label_group_name ='SCRM标签'

;



/*从目标表中删除所有数据 t01_ccc_cust_label(smartccc客户标签维度)                                 */
DELETE FROM :PDMDB.t01_ccc_cust_label 
WHERE ETL_JOB=:ETLJOB;


/*将新增数据插入到目标表                                                                           */
;INSERT INTO :PDMDB.t01_ccc_cust_label (
             label_name                                                /*标签名称*/
            ,label_group                                               /*标签组*/
            ,label_type                                                /*标签类型*/
            ,label_color                                               /*标签颜色*/
            ,label_source                                              /*标签来源*/
            ,label_id                                                  /*标签编号*/
            ,Src_Sysname                                               /*来源系统*/
            ,Src_Table                                                 /*来源表*/
            ,Etl_Job                                                   /*作业名称*/
            ,Etl_First_Dt                                              /*最初入库时间*/
            ,Etl_Tx_Dt                                                 /*作业运行时间*/
            ,Etl_Proc_Dt                                               /*本次入库时间*/
            ,Etl_Batch_No                                              /*作业批次号*/
            
    )
    SELECT
             P1.label_name                                                /*标签名称*/
            ,P1.label_group                                               /*标签组*/
            ,P1.label_type                                                /*标签类型*/
            ,P1.label_color                                               /*标签颜色*/
            ,P1.label_source                                              /*标签来源*/
            ,P1.label_id                                                  /*标签编号*/
            ,P1.Src_Sysname                                               /*来源系统*/
            ,P1.Src_Table                                                 /*来源表*/
            ,P1.Etl_Job                                                   /*作业名称*/
            ,P1.Etl_First_Dt                                              /*最初入库时间*/
            ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
            ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
            ,P1.Etl_Batch_No                                              /*作业批次号*/
            
    FROM t01_ccc_cust_label_agi_CUR_I P1
 
;
/*****程序结束退出                                               */
\q

