
create table if not exists p10_sa.S98_S_tr_custom_details (
	 id  TEXT 
	, name  TEXT 
	, sex  TEXT 
	, tel  TEXT 
	, email  TEXT 
	, address  TEXT 
	, level  TEXT 
	, share_type  TEXT 
	, share  TEXT 
	, remark  TEXT 
	, source  TEXT 
	, creator_type  TEXT 
	, creator_id  TEXT 
	, modifier_type  TEXT 
	, modifier_id  TEXT 
	, last_contact_time  TEXT 
	, last_contact_type  TEXT 
	, customize  TEXT 
	, create_time  TEXT 
	, update_time  TEXT 
	, visitor_ids  TEXT 
	, creator_name  TEXT 
	, modifier_name  TEXT 
	, ib_bridged_number  TEXT 
	, ob_bridged_number  TEXT 
	, ob_number  TEXT 
	, assign_time  TEXT 
	, external_id  TEXT 
	, ib_number  TEXT 
	, retrieve  TEXT 
	, retrieve_time  TEXT 
	, queue_without_attribution  TEXT 
	, phase_id  TEXT 
	, phase_reason_id  TEXT 
	, promote_source  TEXT 
	, repeat_promote_count  TEXT 
	, last_repeat_promote_time  TEXT 
	, label_ids  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.id IS '客户资料id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.name IS '客户名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.sex IS '客户性别'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.tel IS '客户号码'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.email IS '邮箱'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.address IS '地址'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.level IS '客户等级'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.share_type IS '归属类型，0：全体共享、1：员工组共享、2：员工私有、3：无归属'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.share IS '客户归属'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.remark IS '备注'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.source IS '客户来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.creator_type IS '创建人类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.creator_id IS '创建人id，-1：openApi'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.modifier_type IS '更新人类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.modifier_id IS '更新人id，-1：openApi'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.last_contact_time IS '最后一次联系时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.last_contact_type IS '最后一次联系类型'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.customize IS '该对象中，id为自定义字段id， name为自定义字段名称， value为自定义字段值'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.create_time IS '创建时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.update_time IS '更新时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.visitor_ids IS '访客ids'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.modifier_name IS '更新人名称'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.ib_bridged_number IS '呼入接通次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.ob_bridged_number IS '呼出接通次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.ob_number IS '呼出次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.assign_time IS '分配时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.external_id IS '外部企业客户ID （第三方平台 ID）'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.ib_number IS '呼入次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.retrieve IS '是否为回收客户'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.retrieve_time IS '回收时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.queue_without_attribution IS '无归属授权员工组'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.phase_id IS '客户阶段id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.phase_reason_id IS '阶段原因id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.promote_source IS '推广来源'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.repeat_promote_count IS '重复推广次数'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.last_repeat_promote_time IS '最近一次重复推广时间'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.label_ids IS '客户标签id'; 
 COMMENT ON COLUMN p10_sa.S98_S_tr_custom_details.etl_tx_dt IS ''; 

COMMENT ON TABLE p10_sa.S98_S_tr_custom_details IS '客户资料详情';



create table if not exists p12_sfull.S98_S_tr_custom_details (
	 id  TEXT 
	, name  TEXT 
	, sex  TEXT 
	, tel  TEXT 
	, email  TEXT 
	, address  TEXT 
	, level  TEXT 
	, share_type  TEXT 
	, share  TEXT 
	, remark  TEXT 
	, source  TEXT 
	, creator_type  TEXT 
	, creator_id  TEXT 
	, modifier_type  TEXT 
	, modifier_id  TEXT 
	, last_contact_time  TEXT 
	, last_contact_type  TEXT 
	, customize  TEXT 
	, create_time  TEXT 
	, update_time  TEXT 
	, visitor_ids  TEXT 
	, creator_name  TEXT 
	, modifier_name  TEXT 
	, ib_bridged_number  TEXT 
	, ob_bridged_number  TEXT 
	, ob_number  TEXT 
	, assign_time  TEXT 
	, external_id  TEXT 
	, ib_number  TEXT 
	, retrieve  TEXT 
	, retrieve_time  TEXT 
	, queue_without_attribution  TEXT 
	, phase_id  TEXT 
	, phase_reason_id  TEXT 
	, promote_source  TEXT 
	, repeat_promote_count  TEXT 
	, last_repeat_promote_time  TEXT 
	, label_ids  TEXT 
	, etl_tx_dt  TIMESTAMP 
) ; 

 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.id IS '客户资料id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.name IS '客户名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.sex IS '客户性别'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.tel IS '客户号码'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.email IS '邮箱'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.address IS '地址'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.level IS '客户等级'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.share_type IS '归属类型，0：全体共享、1：员工组共享、2：员工私有、3：无归属'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.share IS '客户归属'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.remark IS '备注'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.source IS '客户来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.creator_type IS '创建人类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.creator_id IS '创建人id，-1：openApi'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.modifier_type IS '更新人类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.modifier_id IS '更新人id，-1：openApi'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.last_contact_time IS '最后一次联系时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.last_contact_type IS '最后一次联系类型'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.customize IS '该对象中，id为自定义字段id， name为自定义字段名称， value为自定义字段值'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.create_time IS '创建时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.update_time IS '更新时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.visitor_ids IS '访客ids'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.modifier_name IS '更新人名称'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.ib_bridged_number IS '呼入接通次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.ob_bridged_number IS '呼出接通次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.ob_number IS '呼出次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.assign_time IS '分配时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.external_id IS '外部企业客户ID （第三方平台 ID）'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.ib_number IS '呼入次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.retrieve IS '是否为回收客户'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.retrieve_time IS '回收时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.queue_without_attribution IS '无归属授权员工组'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.phase_id IS '客户阶段id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.phase_reason_id IS '阶段原因id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.promote_source IS '推广来源'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.repeat_promote_count IS '重复推广次数'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.last_repeat_promote_time IS '最近一次重复推广时间'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.label_ids IS '客户标签id'; 
 COMMENT ON COLUMN p12_sfull.S98_S_tr_custom_details.etl_tx_dt IS ''; 

COMMENT ON TABLE p12_sfull.S98_S_tr_custom_details IS '客户资料详情';

