/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :f_ccc_work_ticket_integ(smartccc工单信息集成)             */
/*Create Date:2024-09-13 13:29:12                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-07-09                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-09-13                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: :PDMDB.t01_ccc_cust_info                                                         */
/*Source table 2: :PDMDB.t00_china_city_info                                                       */
/*Source table 3: :PDMDB.t01_ccc_work_ticket_info                                                  */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:f_ccc_work_ticket_integ                                                             */
/*ETL Job Name:f_ccc_work_ticket_integ                                                             */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE f_ccc_work_ticket_integ_agi_CUR_I 
 ( LIKE :COMMDB.f_ccc_work_ticket_integ)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE f_ccc_work_ticket_integ_agi_INS 
( LIKE :COMMDB.f_ccc_work_ticket_integ)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:t01_ccc_work_ticket_info******************************************************/
/*****************************************************************************************************/

INSERT INTO f_ccc_work_ticket_integ_agi_CUR_I (
            PEXTENSION_CODE                         /*来源代码*/
           ,PEXTENSION                              /*来源*/
           ,LAST_NAME                               /*姓名*/
           ,SUFFIX                                  /*工单ID*/
           ,COMPANY_NAME                            /*公司名称*/
           ,JOB_TITLE                               /*职位*/
           ,CITY                                    /*城市*/
           ,STATE_COUNTY_LOCATION                   /*省份*/
           ,COUNTRY_CODE                            /*国家*/
           ,POSTAL_CODE                             /*邮编*/
           ,CONTACT_MOBILE_NUMBER                   /*电话*/
           ,EMAIL_ADDRESS                           /*邮箱*/
           ,REQUEST_A_DEMO                          /*demo标志*/
           ,REQUEST_A_QUOTE                         /*引用标志*/
           ,HAMCAM                                  /*账户管理员标志*/
           ,PURCHASE_INTENT                         /*购买意向*/
           ,COMMENTS                                /*备注*/
           ,INDUSTRY                                /*行业*/
           ,CCP_PRODUCT_INTEREST_01                 /*产品偏好*/
           ,CCP_APP_01_5                            /*应用*/
           ,LEAD_PRODUCTS_01_5                      /*产品型号*/
           ,PERMISSION_PHONE                        /*电话授权标志*/
           ,PERMISSION_PHONE_DATE                   /*电话授权时间*/
           ,PERMISSION_EMAIL                        /*电子邮件授权标志*/
           ,PERMISSION_EMAIL_DATE                   /*电子邮件授权时间*/
           ,PERMISSION_MAIL                         /*邮件授权标志*/
           ,PERMISSION_MAIL_DATE                    /*邮件授权时间*/
           ,PERMISSION_SMS                          /*SMS授权标志*/
           ,PERMISSION_SMS_DATE                     /*SMS授权时间*/
           ,AGREES_TO_PRIVACY_POLICY                /*个人信息授权标志*/
           ,PORTAL_TERMS_AGREEMENT_DATE             /*协议授权时间*/
           ,CONSENT_TO_COLLECT_PERSONAL_INFO        /*个人信息收集标志*/
           ,CONSENT_TO_COLLECT_PERSONAL_INFO_DATE   /*个人信息收集时间*/
           ,MARKETING_CONSENT                       /*MARKETING_CONSENT*/
           ,MARKETING_CONSENT_DATE                  /*MARKETING_CONSENT_DATE*/
           ,MEANS_OF_CONSENT                        /*MEANS_OF_CONSENT*/
           ,SOURCE_OF_CONSENT                       /*SOURCE_OF_CONSENT*/
           ,VERSION_OF_PRIVACY_NOTICE               /*VERSION_OF_PRIVACY_NOTICE*/
           ,RECORD_OF_CONSENT                       /*RECORD_OF_CONSENT*/
           ,EXACT_CONSENT_LANGUAGE                  /*EXACT_CONSENT_LANGUAGE*/
           ,BRAND_TEKTRONIX                         /*BRAND_TEKTRONIX*/
           ,BRAND_SSO                               /*BRAND_SSO*/
           ,BRAND_KEITHLEY                          /*BRAND_KEITHLEY*/
           ,EMAIL_PREFERENCE                        /*EMAIL_PREFERENCE*/
           ,Src_Sysname                             /*来源系统*/
           ,Etl_Job                                 /*作业名称*/
           ,Src_Table                               /*来源表*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,second_mobile_number                    /*第二手机号*/
           ,company_phone_number                    /*固话号*/
        )
SELECT
         case when coalesce(p0.start_form::json->>'formName','') ='选型报价_Outbound' then '449662X449662' 
        else coalesce(case when p0."source" ='0' then '305972X317938'
      when p0."source" ='11' then '445769X445769'
      else '401890X401890' end,'') end        /*PEXTENSION_CODE*/
        ,coalesce(p1."source",'')                                  /*PEXTENSION*/
        ,COALESCE(TRIM(CAST(p0.customer_name AS varchar(20))),'')        /*LAST_NAME*/
        ,coalesce(p0.id,'')                                        /*SUFFIX*/
        ,coalesce((SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '297756'),(SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements(p1.customize::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'name') = '公司名称'),'')        /*COMPANY_NAME*/
        ,coalesce((SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements(p1.customize::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'name') = '职位'),'')        /*JOB_TITLE*/
        ,coalesce((SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '304585'),(SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '297755'),'')         /*CITY*/
        ,coalesce(p2.prov_name,'')                                 /*STATE_COUNTY_LOCATION*/
        ,'CN'                                                      /*COUNTRY_CODE*/
        ,coalesce(p2.postalcode,'')                                /*POSTAL_CODE*/
        ,coalesce(find_first_phone_number(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[]),find_first_not_phone_number(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[]),'null')        /*CONTACT_MOBILE_NUMBER*/
        ,coalesce(p1.email,'')                                     /*EMAIL_ADDRESS*/
        ,'YES'                                                     /*REQUEST_A_DEMO*/
        ,'YES'                                                     /*REQUEST_A_QUOTE*/
        ,'YES'                                                     /*HAMCAM*/
        ,4                                                         /*PURCHASE_INTENT*/
        ,'L - mql '||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298246),'')||' 预算情况:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 303805),' None ')||';决策权确认:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 303806),' None ')||';计划购买时间:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298249),' None ')||';'        /*COMMENTS*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_297729
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 297729),'')        /*INDUSTRY*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298247
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298247),'')        /*CCP_PRODUCT_INTEREST_01*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_297730
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 297730),'')        /*CCP_APP_01_5*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298300
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 304927),(SELECT jsonb_extract_path_text(field, 'value') AS value_298300
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 299137),'')        /*LEAD_PRODUCTS_01_5*/
        ,'YES'                                                     /*PERMISSION_PHONE*/
        ,p0.create_time                                            /*PERMISSION_PHONE_DATE*/
        ,'YES'                                                     /*PERMISSION_EMAIL*/
        ,p0.create_time                                            /*PERMISSION_EMAIL_DATE*/
        ,'YES'                                                     /*PERMISSION_MAIL*/
        ,p0.create_time                                            /*PERMISSION_MAIL_DATE*/
        ,'YES'                                                     /*PERMISSION_SMS*/
        ,p0.create_time                                            /*PERMISSION_SMS_DATE*/
        ,'YES'                                                     /*AGREES_TO_PRIVACY_POLICY*/
        ,p0.create_time                                            /*PORTAL_TERMS_AGREEMENT_DATE*/
        ,'YES'                                                     /*CONSENT_TO_COLLECT_PERSONAL_INFO*/
        ,p0.create_time                                            /*CONSENT_TO_COLLECT_PERSONAL_INFO_DATE*/
        ,''                                                        /*MARKETING_CONSENT*/
        ,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD')                        /*MARKETING_CONSENT_DATE*/
        ,''                                                        /*MEANS_OF_CONSENT*/
        ,''                                                        /*SOURCE_OF_CONSENT*/
        ,''                                                        /*VERSION_OF_PRIVACY_NOTICE*/
        ,''                                                        /*RECORD_OF_CONSENT*/
        ,''                                                        /*EXACT_CONSENT_LANGUAGE*/
        ,''                                                        /*BRAND_TEKTRONIX*/
        ,''                                                        /*BRAND_SSO*/
        ,''                                                        /*BRAND_KEITHLEY*/
        ,''                                                        /*EMAIL_PREFERENCE*/
        ,Substr('t01_ccc_work_ticket_info',1,3)                    /*Src_Sysname*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,'t01_ccc_work_ticket_info'                                /*Src_Table*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        ,case when cardinality(array_remove(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[],find_first_phone_number(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[])))=0 then ''
else find_first_phone_number(array_remove(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[],find_first_phone_number(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[])))
end        /*second_mobile_number*/
        ,coalesce(find_first_not_phone_number(replace(replace(replace(p1.tel,'"',''),'[','{'),']','}')::text[]),'')        /*company_phone_number*/
        
FROM :PDMDB.t01_ccc_work_ticket_info  p0
LEFT JOIN :PDMDB.t01_ccc_cust_info  p1
        ON p0.customer_id =p1.id
LEFT JOIN :PDMDB.t00_china_city_info  p2
        ON p2.city_name  like case when length(coalesce((SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '304585'),(SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '297755'),'')::text)>0 then coalesce((SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '304585'),(SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '297755'),'')::text||'%' else '' end
where p0 .state_selected in ('Leads')

;



/*****************************************************************************************************/
/* GROUP 2:Source Table:t01_ccc_work_ticket_info******************************************************/
/*****************************************************************************************************/

INSERT INTO f_ccc_work_ticket_integ_agi_CUR_I (
            PEXTENSION_CODE                         /*来源代码*/
           ,PEXTENSION                              /*来源*/
           ,LAST_NAME                               /*姓名*/
           ,SUFFIX                                  /*工单ID*/
           ,COMPANY_NAME                            /*公司名称*/
           ,JOB_TITLE                               /*职位*/
           ,CITY                                    /*城市*/
           ,STATE_COUNTY_LOCATION                   /*省份*/
           ,COUNTRY_CODE                            /*国家*/
           ,POSTAL_CODE                             /*邮编*/
           ,CONTACT_MOBILE_NUMBER                   /*电话*/
           ,EMAIL_ADDRESS                           /*邮箱*/
           ,REQUEST_A_DEMO                          /*demo标志*/
           ,REQUEST_A_QUOTE                         /*引用标志*/
           ,HAMCAM                                  /*账户管理员标志*/
           ,PURCHASE_INTENT                         /*购买意向*/
           ,COMMENTS                                /*备注*/
           ,INDUSTRY                                /*行业*/
           ,CCP_PRODUCT_INTEREST_01                 /*产品偏好*/
           ,CCP_APP_01_5                            /*应用*/
           ,LEAD_PRODUCTS_01_5                      /*产品型号*/
           ,PERMISSION_PHONE                        /*电话授权标志*/
           ,PERMISSION_PHONE_DATE                   /*电话授权时间*/
           ,PERMISSION_EMAIL                        /*电子邮件授权标志*/
           ,PERMISSION_EMAIL_DATE                   /*电子邮件授权时间*/
           ,PERMISSION_MAIL                         /*邮件授权标志*/
           ,PERMISSION_MAIL_DATE                    /*邮件授权时间*/
           ,PERMISSION_SMS                          /*SMS授权标志*/
           ,PERMISSION_SMS_DATE                     /*SMS授权时间*/
           ,AGREES_TO_PRIVACY_POLICY                /*个人信息授权标志*/
           ,PORTAL_TERMS_AGREEMENT_DATE             /*协议授权时间*/
           ,CONSENT_TO_COLLECT_PERSONAL_INFO        /*个人信息收集标志*/
           ,CONSENT_TO_COLLECT_PERSONAL_INFO_DATE   /*个人信息收集时间*/
           ,MARKETING_CONSENT                       /*MARKETING_CONSENT*/
           ,MARKETING_CONSENT_DATE                  /*MARKETING_CONSENT_DATE*/
           ,MEANS_OF_CONSENT                        /*MEANS_OF_CONSENT*/
           ,SOURCE_OF_CONSENT                       /*SOURCE_OF_CONSENT*/
           ,VERSION_OF_PRIVACY_NOTICE               /*VERSION_OF_PRIVACY_NOTICE*/
           ,RECORD_OF_CONSENT                       /*RECORD_OF_CONSENT*/
           ,EXACT_CONSENT_LANGUAGE                  /*EXACT_CONSENT_LANGUAGE*/
           ,BRAND_TEKTRONIX                         /*BRAND_TEKTRONIX*/
           ,BRAND_SSO                               /*BRAND_SSO*/
           ,BRAND_KEITHLEY                          /*BRAND_KEITHLEY*/
           ,EMAIL_PREFERENCE                        /*EMAIL_PREFERENCE*/
           ,Src_Sysname                             /*来源系统*/
           ,Etl_Job                                 /*作业名称*/
           ,Src_Table                               /*来源表*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,second_mobile_number                    /*第二手机号*/
           ,company_phone_number                    /*固话号*/
        )
SELECT
         '401890X401890'                                           /*PEXTENSION_CODE*/
        ,''                                                        /*PEXTENSION*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298308),'')        /*LAST_NAME*/
        ,COALESCE(TRIM(CAST(p0.id AS varchar(20))),'')             /*SUFFIX*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 297723),'')        /*COMPANY_NAME*/
        ,''                                                        /*JOB_TITLE*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 304586),'')        /*CITY*/
        ,coalesce(p2.city_name,'')                                 /*STATE_COUNTY_LOCATION*/
        ,'TW'                                                      /*COUNTRY_CODE*/
        ,coalesce(p2.postalcode,'')                                /*POSTAL_CODE*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 299210),'')        /*CONTACT_MOBILE_NUMBER*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 303803),'')        /*EMAIL_ADDRESS*/
        ,'YES'                                                     /*REQUEST_A_DEMO*/
        ,'YES'                                                     /*REQUEST_A_QUOTE*/
        ,'YES'                                                     /*HAMCAM*/
        ,4                                                         /*PURCHASE_INTENT*/
        ,'L - mql '||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298302),'')||' 预算情况:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 303805),' None ')||';决策权确认:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 303806),' None ')||';计划购买时间:'||coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298245
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 298249),' None ')||';'        /*COMMENTS*/
        ,''                                                        /*INDUSTRY*/
        ,''                                                        /*CCP_PRODUCT_INTEREST_01*/
        ,''                                                        /*CCP_APP_01_5*/
        ,coalesce((SELECT jsonb_extract_path_text(field, 'value') AS value_298300
FROM (
  SELECT jsonb_array_elements(p0.start_form::jsonb->'fields') AS field
) AS t
WHERE jsonb_extract_path_text(field, 'id')::int = 299137),'')        /*LEAD_PRODUCTS_01_5*/
        ,'YES'                                                     /*PERMISSION_PHONE*/
        ,COALESCE(p0.create_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*PERMISSION_PHONE_DATE*/
        ,'YES'                                                     /*PERMISSION_EMAIL*/
        ,COALESCE(p0.create_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*PERMISSION_EMAIL_DATE*/
        ,'YES'                                                     /*PERMISSION_MAIL*/
        ,COALESCE(p0.create_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*PERMISSION_MAIL_DATE*/
        ,'YES'                                                     /*PERMISSION_SMS*/
        ,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD')                        /*PERMISSION_SMS_DATE*/
        ,''                                                        /*AGREES_TO_PRIVACY_POLICY*/
        ,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD')                        /*PORTAL_TERMS_AGREEMENT_DATE*/
        ,''                                                        /*CONSENT_TO_COLLECT_PERSONAL_INFO*/
        ,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD')                        /*CONSENT_TO_COLLECT_PERSONAL_INFO_DATE*/
        ,''                                                        /*MARKETING_CONSENT*/
        ,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD')                        /*MARKETING_CONSENT_DATE*/
        ,''                                                        /*MEANS_OF_CONSENT*/
        ,''                                                        /*SOURCE_OF_CONSENT*/
        ,''                                                        /*VERSION_OF_PRIVACY_NOTICE*/
        ,''                                                        /*RECORD_OF_CONSENT*/
        ,''                                                        /*EXACT_CONSENT_LANGUAGE*/
        ,''                                                        /*BRAND_TEKTRONIX*/
        ,''                                                        /*BRAND_SSO*/
        ,''                                                        /*BRAND_KEITHLEY*/
        ,''                                                        /*EMAIL_PREFERENCE*/
        ,Substr('t01_ccc_work_ticket_info',1,3)                    /*Src_Sysname*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,'t01_ccc_work_ticket_info'                                /*Src_Table*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        ,''                                                        /*second_mobile_number*/
        ,''                                                        /*company_phone_number*/
        
FROM :PDMDB.t01_ccc_work_ticket_info  p0
LEFT JOIN :PDMDB.t00_china_city_info  p2
        ON p2.city_name2  like (SELECT jsonb_extract_path_text(j, 'value') 
   FROM jsonb_array_elements((p0.start_form::json -> 'fields')::jsonb) j 
   WHERE jsonb_extract_path_text(j, 'id') = '304586')::text||'%'
where p0 .state_selected ='TW_leads'

;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO f_ccc_work_ticket_integ_agi_INS (
         PEXTENSION_CODE                                           /*来源代码*/
        ,PEXTENSION                                                /*来源*/
        ,LAST_NAME                                                 /*姓名*/
        ,COMPANY_NAME                                              /*公司名称*/
        ,JOB_TITLE                                                 /*职位*/
        ,CITY                                                      /*城市*/
        ,STATE_COUNTY_LOCATION                                     /*省份*/
        ,COUNTRY_CODE                                              /*国家*/
        ,POSTAL_CODE                                               /*邮编*/
        ,CONTACT_MOBILE_NUMBER                                     /*电话*/
        ,EMAIL_ADDRESS                                             /*邮箱*/
        ,REQUEST_A_DEMO                                            /*demo标志*/
        ,REQUEST_A_QUOTE                                           /*引用标志*/
        ,HAMCAM                                                    /*账户管理员标志*/
        ,PURCHASE_INTENT                                           /*购买意向*/
        ,COMMENTS                                                  /*备注*/
        ,INDUSTRY                                                  /*行业*/
        ,CCP_PRODUCT_INTEREST_01                                   /*产品偏好*/
        ,CCP_APP_01_5                                              /*应用*/
        ,LEAD_PRODUCTS_01_5                                        /*产品型号*/
        ,PERMISSION_PHONE                                          /*电话授权标志*/
        ,PERMISSION_PHONE_DATE                                     /*电话授权时间*/
        ,PERMISSION_EMAIL                                          /*电子邮件授权标志*/
        ,PERMISSION_EMAIL_DATE                                     /*电子邮件授权时间*/
        ,PERMISSION_MAIL                                           /*邮件授权标志*/
        ,PERMISSION_MAIL_DATE                                      /*邮件授权时间*/
        ,PERMISSION_SMS                                            /*SMS授权标志*/
        ,PERMISSION_SMS_DATE                                       /*SMS授权时间*/
        ,AGREES_TO_PRIVACY_POLICY                                  /*个人信息授权标志*/
        ,PORTAL_TERMS_AGREEMENT_DATE                               /*协议授权时间*/
        ,CONSENT_TO_COLLECT_PERSONAL_INFO                          /*个人信息收集标志*/
        ,CONSENT_TO_COLLECT_PERSONAL_INFO_DATE                     /*个人信息收集时间*/
        ,MARKETING_CONSENT                                         /*MARKETING_CONSENT*/
        ,MARKETING_CONSENT_DATE                                    /*MARKETING_CONSENT_DATE*/
        ,MEANS_OF_CONSENT                                          /*MEANS_OF_CONSENT*/
        ,SOURCE_OF_CONSENT                                         /*SOURCE_OF_CONSENT*/
        ,VERSION_OF_PRIVACY_NOTICE                                 /*VERSION_OF_PRIVACY_NOTICE*/
        ,RECORD_OF_CONSENT                                         /*RECORD_OF_CONSENT*/
        ,EXACT_CONSENT_LANGUAGE                                    /*EXACT_CONSENT_LANGUAGE*/
        ,BRAND_TEKTRONIX                                           /*BRAND_TEKTRONIX*/
        ,BRAND_SSO                                                 /*BRAND_SSO*/
        ,BRAND_KEITHLEY                                            /*BRAND_KEITHLEY*/
        ,EMAIL_PREFERENCE                                          /*EMAIL_PREFERENCE*/
        ,second_mobile_number                                      /*第二手机号*/
        ,company_phone_number                                      /*固话号*/
        ,SUFFIX                                                    /*工单ID*/
        ,Src_Sysname                                               /*来源系统*/
        ,Etl_Job                                                   /*作业名称*/
        ,Src_Table                                                 /*来源表*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Batch_No                                              /*作业批次号*/
        
)
    SELECT
         P1.PEXTENSION_CODE                                           /*来源代码*/
        ,P1.PEXTENSION                                                /*来源*/
        ,P1.LAST_NAME                                                 /*姓名*/
        ,P1.COMPANY_NAME                                              /*公司名称*/
        ,P1.JOB_TITLE                                                 /*职位*/
        ,P1.CITY                                                      /*城市*/
        ,P1.STATE_COUNTY_LOCATION                                     /*省份*/
        ,P1.COUNTRY_CODE                                              /*国家*/
        ,P1.POSTAL_CODE                                               /*邮编*/
        ,P1.CONTACT_MOBILE_NUMBER                                     /*电话*/
        ,P1.EMAIL_ADDRESS                                             /*邮箱*/
        ,P1.REQUEST_A_DEMO                                            /*demo标志*/
        ,P1.REQUEST_A_QUOTE                                           /*引用标志*/
        ,P1.HAMCAM                                                    /*账户管理员标志*/
        ,P1.PURCHASE_INTENT                                           /*购买意向*/
        ,P1.COMMENTS                                                  /*备注*/
        ,P1.INDUSTRY                                                  /*行业*/
        ,P1.CCP_PRODUCT_INTEREST_01                                   /*产品偏好*/
        ,P1.CCP_APP_01_5                                              /*应用*/
        ,P1.LEAD_PRODUCTS_01_5                                        /*产品型号*/
        ,P1.PERMISSION_PHONE                                          /*电话授权标志*/
        ,P1.PERMISSION_PHONE_DATE                                     /*电话授权时间*/
        ,P1.PERMISSION_EMAIL                                          /*电子邮件授权标志*/
        ,P1.PERMISSION_EMAIL_DATE                                     /*电子邮件授权时间*/
        ,P1.PERMISSION_MAIL                                           /*邮件授权标志*/
        ,P1.PERMISSION_MAIL_DATE                                      /*邮件授权时间*/
        ,P1.PERMISSION_SMS                                            /*SMS授权标志*/
        ,P1.PERMISSION_SMS_DATE                                       /*SMS授权时间*/
        ,P1.AGREES_TO_PRIVACY_POLICY                                  /*个人信息授权标志*/
        ,P1.PORTAL_TERMS_AGREEMENT_DATE                               /*协议授权时间*/
        ,P1.CONSENT_TO_COLLECT_PERSONAL_INFO                          /*个人信息收集标志*/
        ,P1.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE                     /*个人信息收集时间*/
        ,P1.MARKETING_CONSENT                                         /*MARKETING_CONSENT*/
        ,P1.MARKETING_CONSENT_DATE                                    /*MARKETING_CONSENT_DATE*/
        ,P1.MEANS_OF_CONSENT                                          /*MEANS_OF_CONSENT*/
        ,P1.SOURCE_OF_CONSENT                                         /*SOURCE_OF_CONSENT*/
        ,P1.VERSION_OF_PRIVACY_NOTICE                                 /*VERSION_OF_PRIVACY_NOTICE*/
        ,P1.RECORD_OF_CONSENT                                         /*RECORD_OF_CONSENT*/
        ,P1.EXACT_CONSENT_LANGUAGE                                    /*EXACT_CONSENT_LANGUAGE*/
        ,P1.BRAND_TEKTRONIX                                           /*BRAND_TEKTRONIX*/
        ,P1.BRAND_SSO                                                 /*BRAND_SSO*/
        ,P1.BRAND_KEITHLEY                                            /*BRAND_KEITHLEY*/
        ,P1.EMAIL_PREFERENCE                                          /*EMAIL_PREFERENCE*/
        ,P1.second_mobile_number                                      /*第二手机号*/
        ,P1.company_phone_number                                      /*固话号*/
        ,P1.SUFFIX                                                    /*工单ID*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Src_Table                                                 /*来源表*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        
FROM f_ccc_work_ticket_integ_agi_CUR_I P1
LEFT JOIN :COMMDB.f_ccc_work_ticket_integ P2
ON    P1.PEXTENSION_CODE = P2.PEXTENSION_CODE
    AND P1.PEXTENSION = P2.PEXTENSION
    AND P1.LAST_NAME = P2.LAST_NAME
    AND P1.COMPANY_NAME = P2.COMPANY_NAME
    AND P1.JOB_TITLE = P2.JOB_TITLE
    AND P1.CITY = P2.CITY
    AND P1.STATE_COUNTY_LOCATION = P2.STATE_COUNTY_LOCATION
    AND P1.COUNTRY_CODE = P2.COUNTRY_CODE
    AND P1.POSTAL_CODE = P2.POSTAL_CODE
    AND P1.CONTACT_MOBILE_NUMBER = P2.CONTACT_MOBILE_NUMBER
    AND P1.EMAIL_ADDRESS = P2.EMAIL_ADDRESS
    AND P1.REQUEST_A_DEMO = P2.REQUEST_A_DEMO
    AND P1.REQUEST_A_QUOTE = P2.REQUEST_A_QUOTE
    AND P1.HAMCAM = P2.HAMCAM
    AND P1.PURCHASE_INTENT = P2.PURCHASE_INTENT
    AND P1.COMMENTS = P2.COMMENTS
    AND P1.INDUSTRY = P2.INDUSTRY
    AND P1.CCP_PRODUCT_INTEREST_01 = P2.CCP_PRODUCT_INTEREST_01
    AND P1.CCP_APP_01_5 = P2.CCP_APP_01_5
    AND P1.LEAD_PRODUCTS_01_5 = P2.LEAD_PRODUCTS_01_5
    AND P1.PERMISSION_PHONE = P2.PERMISSION_PHONE
    AND P1.PERMISSION_PHONE_DATE = P2.PERMISSION_PHONE_DATE
    AND P1.PERMISSION_EMAIL = P2.PERMISSION_EMAIL
    AND P1.PERMISSION_EMAIL_DATE = P2.PERMISSION_EMAIL_DATE
    AND P1.PERMISSION_MAIL = P2.PERMISSION_MAIL
    AND P1.PERMISSION_MAIL_DATE = P2.PERMISSION_MAIL_DATE
    AND P1.PERMISSION_SMS = P2.PERMISSION_SMS
    AND P1.PERMISSION_SMS_DATE = P2.PERMISSION_SMS_DATE
    AND P1.AGREES_TO_PRIVACY_POLICY = P2.AGREES_TO_PRIVACY_POLICY
    AND P1.PORTAL_TERMS_AGREEMENT_DATE = P2.PORTAL_TERMS_AGREEMENT_DATE
    AND P1.CONSENT_TO_COLLECT_PERSONAL_INFO = P2.CONSENT_TO_COLLECT_PERSONAL_INFO
    AND P1.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE = P2.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE
    AND P1.MARKETING_CONSENT = P2.MARKETING_CONSENT
    AND P1.MARKETING_CONSENT_DATE = P2.MARKETING_CONSENT_DATE
    AND P1.MEANS_OF_CONSENT = P2.MEANS_OF_CONSENT
    AND P1.SOURCE_OF_CONSENT = P2.SOURCE_OF_CONSENT
    AND P1.VERSION_OF_PRIVACY_NOTICE = P2.VERSION_OF_PRIVACY_NOTICE
    AND P1.RECORD_OF_CONSENT = P2.RECORD_OF_CONSENT
    AND P1.EXACT_CONSENT_LANGUAGE = P2.EXACT_CONSENT_LANGUAGE
    AND P1.BRAND_TEKTRONIX = P2.BRAND_TEKTRONIX
    AND P1.BRAND_SSO = P2.BRAND_SSO
    AND P1.BRAND_KEITHLEY = P2.BRAND_KEITHLEY
    AND P1.EMAIL_PREFERENCE = P2.EMAIL_PREFERENCE
    AND P1.second_mobile_number = P2.second_mobile_number
    AND P1.company_phone_number = P2.company_phone_number
    AND P1.SUFFIX = P2.SUFFIX
    
WHERE  P2.PEXTENSION_CODE IS NULL
    OR P2.PEXTENSION IS NULL
    OR P2.LAST_NAME IS NULL
    OR P2.COMPANY_NAME IS NULL
    OR P2.JOB_TITLE IS NULL
    OR P2.CITY IS NULL
    OR P2.STATE_COUNTY_LOCATION IS NULL
    OR P2.COUNTRY_CODE IS NULL
    OR P2.POSTAL_CODE IS NULL
    OR P2.CONTACT_MOBILE_NUMBER IS NULL
    OR P2.EMAIL_ADDRESS IS NULL
    OR P2.REQUEST_A_DEMO IS NULL
    OR P2.REQUEST_A_QUOTE IS NULL
    OR P2.HAMCAM IS NULL
    OR P2.PURCHASE_INTENT IS NULL
    OR P2.COMMENTS IS NULL
    OR P2.INDUSTRY IS NULL
    OR P2.CCP_PRODUCT_INTEREST_01 IS NULL
    OR P2.CCP_APP_01_5 IS NULL
    OR P2.LEAD_PRODUCTS_01_5 IS NULL
    OR P2.PERMISSION_PHONE IS NULL
    OR P2.PERMISSION_PHONE_DATE IS NULL
    OR P2.PERMISSION_EMAIL IS NULL
    OR P2.PERMISSION_EMAIL_DATE IS NULL
    OR P2.PERMISSION_MAIL IS NULL
    OR P2.PERMISSION_MAIL_DATE IS NULL
    OR P2.PERMISSION_SMS IS NULL
    OR P2.PERMISSION_SMS_DATE IS NULL
    OR P2.AGREES_TO_PRIVACY_POLICY IS NULL
    OR P2.PORTAL_TERMS_AGREEMENT_DATE IS NULL
    OR P2.CONSENT_TO_COLLECT_PERSONAL_INFO IS NULL
    OR P2.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE IS NULL
    OR P2.MARKETING_CONSENT IS NULL
    OR P2.MARKETING_CONSENT_DATE IS NULL
    OR P2.MEANS_OF_CONSENT IS NULL
    OR P2.SOURCE_OF_CONSENT IS NULL
    OR P2.VERSION_OF_PRIVACY_NOTICE IS NULL
    OR P2.RECORD_OF_CONSENT IS NULL
    OR P2.EXACT_CONSENT_LANGUAGE IS NULL
    OR P2.BRAND_TEKTRONIX IS NULL
    OR P2.BRAND_SSO IS NULL
    OR P2.BRAND_KEITHLEY IS NULL
    OR P2.EMAIL_PREFERENCE IS NULL
    OR P2.second_mobile_number IS NULL
    OR P2.company_phone_number IS NULL
    OR P2.SUFFIX IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :COMMDB.f_ccc_work_ticket_integ (
         PEXTENSION_CODE                                           /*来源代码*/
        ,PEXTENSION                                                /*来源*/
        ,LAST_NAME                                                 /*姓名*/
        ,COMPANY_NAME                                              /*公司名称*/
        ,JOB_TITLE                                                 /*职位*/
        ,CITY                                                      /*城市*/
        ,STATE_COUNTY_LOCATION                                     /*省份*/
        ,COUNTRY_CODE                                              /*国家*/
        ,POSTAL_CODE                                               /*邮编*/
        ,CONTACT_MOBILE_NUMBER                                     /*电话*/
        ,EMAIL_ADDRESS                                             /*邮箱*/
        ,REQUEST_A_DEMO                                            /*demo标志*/
        ,REQUEST_A_QUOTE                                           /*引用标志*/
        ,HAMCAM                                                    /*账户管理员标志*/
        ,PURCHASE_INTENT                                           /*购买意向*/
        ,COMMENTS                                                  /*备注*/
        ,INDUSTRY                                                  /*行业*/
        ,CCP_PRODUCT_INTEREST_01                                   /*产品偏好*/
        ,CCP_APP_01_5                                              /*应用*/
        ,LEAD_PRODUCTS_01_5                                        /*产品型号*/
        ,PERMISSION_PHONE                                          /*电话授权标志*/
        ,PERMISSION_PHONE_DATE                                     /*电话授权时间*/
        ,PERMISSION_EMAIL                                          /*电子邮件授权标志*/
        ,PERMISSION_EMAIL_DATE                                     /*电子邮件授权时间*/
        ,PERMISSION_MAIL                                           /*邮件授权标志*/
        ,PERMISSION_MAIL_DATE                                      /*邮件授权时间*/
        ,PERMISSION_SMS                                            /*SMS授权标志*/
        ,PERMISSION_SMS_DATE                                       /*SMS授权时间*/
        ,AGREES_TO_PRIVACY_POLICY                                  /*个人信息授权标志*/
        ,PORTAL_TERMS_AGREEMENT_DATE                               /*协议授权时间*/
        ,CONSENT_TO_COLLECT_PERSONAL_INFO                          /*个人信息收集标志*/
        ,CONSENT_TO_COLLECT_PERSONAL_INFO_DATE                     /*个人信息收集时间*/
        ,MARKETING_CONSENT                                         /*MARKETING_CONSENT*/
        ,MARKETING_CONSENT_DATE                                    /*MARKETING_CONSENT_DATE*/
        ,MEANS_OF_CONSENT                                          /*MEANS_OF_CONSENT*/
        ,SOURCE_OF_CONSENT                                         /*SOURCE_OF_CONSENT*/
        ,VERSION_OF_PRIVACY_NOTICE                                 /*VERSION_OF_PRIVACY_NOTICE*/
        ,RECORD_OF_CONSENT                                         /*RECORD_OF_CONSENT*/
        ,EXACT_CONSENT_LANGUAGE                                    /*EXACT_CONSENT_LANGUAGE*/
        ,BRAND_TEKTRONIX                                           /*BRAND_TEKTRONIX*/
        ,BRAND_SSO                                                 /*BRAND_SSO*/
        ,BRAND_KEITHLEY                                            /*BRAND_KEITHLEY*/
        ,EMAIL_PREFERENCE                                          /*EMAIL_PREFERENCE*/
        ,second_mobile_number                                      /*第二手机号*/
        ,company_phone_number                                      /*固话号*/
        ,SUFFIX                                                    /*工单ID*/
        ,Src_Sysname                                               /*来源系统*/
        ,Etl_Job                                                   /*作业名称*/
        ,Src_Table                                                 /*来源表*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Batch_No                                              /*作业批次号*/
        
)
SELECT
         P1.PEXTENSION_CODE                                           /*来源代码*/
        ,P1.PEXTENSION                                                /*来源*/
        ,P1.LAST_NAME                                                 /*姓名*/
        ,P1.COMPANY_NAME                                              /*公司名称*/
        ,P1.JOB_TITLE                                                 /*职位*/
        ,P1.CITY                                                      /*城市*/
        ,P1.STATE_COUNTY_LOCATION                                     /*省份*/
        ,P1.COUNTRY_CODE                                              /*国家*/
        ,P1.POSTAL_CODE                                               /*邮编*/
        ,P1.CONTACT_MOBILE_NUMBER                                     /*电话*/
        ,P1.EMAIL_ADDRESS                                             /*邮箱*/
        ,P1.REQUEST_A_DEMO                                            /*demo标志*/
        ,P1.REQUEST_A_QUOTE                                           /*引用标志*/
        ,P1.HAMCAM                                                    /*账户管理员标志*/
        ,P1.PURCHASE_INTENT                                           /*购买意向*/
        ,P1.COMMENTS                                                  /*备注*/
        ,P1.INDUSTRY                                                  /*行业*/
        ,P1.CCP_PRODUCT_INTEREST_01                                   /*产品偏好*/
        ,P1.CCP_APP_01_5                                              /*应用*/
        ,P1.LEAD_PRODUCTS_01_5                                        /*产品型号*/
        ,P1.PERMISSION_PHONE                                          /*电话授权标志*/
        ,P1.PERMISSION_PHONE_DATE                                     /*电话授权时间*/
        ,P1.PERMISSION_EMAIL                                          /*电子邮件授权标志*/
        ,P1.PERMISSION_EMAIL_DATE                                     /*电子邮件授权时间*/
        ,P1.PERMISSION_MAIL                                           /*邮件授权标志*/
        ,P1.PERMISSION_MAIL_DATE                                      /*邮件授权时间*/
        ,P1.PERMISSION_SMS                                            /*SMS授权标志*/
        ,P1.PERMISSION_SMS_DATE                                       /*SMS授权时间*/
        ,P1.AGREES_TO_PRIVACY_POLICY                                  /*个人信息授权标志*/
        ,P1.PORTAL_TERMS_AGREEMENT_DATE                               /*协议授权时间*/
        ,P1.CONSENT_TO_COLLECT_PERSONAL_INFO                          /*个人信息收集标志*/
        ,P1.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE                     /*个人信息收集时间*/
        ,P1.MARKETING_CONSENT                                         /*MARKETING_CONSENT*/
        ,P1.MARKETING_CONSENT_DATE                                    /*MARKETING_CONSENT_DATE*/
        ,P1.MEANS_OF_CONSENT                                          /*MEANS_OF_CONSENT*/
        ,P1.SOURCE_OF_CONSENT                                         /*SOURCE_OF_CONSENT*/
        ,P1.VERSION_OF_PRIVACY_NOTICE                                 /*VERSION_OF_PRIVACY_NOTICE*/
        ,P1.RECORD_OF_CONSENT                                         /*RECORD_OF_CONSENT*/
        ,P1.EXACT_CONSENT_LANGUAGE                                    /*EXACT_CONSENT_LANGUAGE*/
        ,P1.BRAND_TEKTRONIX                                           /*BRAND_TEKTRONIX*/
        ,P1.BRAND_SSO                                                 /*BRAND_SSO*/
        ,P1.BRAND_KEITHLEY                                            /*BRAND_KEITHLEY*/
        ,P1.EMAIL_PREFERENCE                                          /*EMAIL_PREFERENCE*/
        ,P1.second_mobile_number                                      /*第二手机号*/
        ,P1.company_phone_number                                      /*固话号*/
        ,P1.SUFFIX                                                    /*工单ID*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Src_Table                                                 /*来源表*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        
FROM f_ccc_work_ticket_integ_agi_INS P1
ON CONFLICT ( SUFFIX)
DO UPDATE SET
     SUFFIX=excluded.SUFFIX
    ,PEXTENSION_CODE=excluded.PEXTENSION_CODE
    ,PEXTENSION=excluded.PEXTENSION
    ,LAST_NAME=excluded.LAST_NAME
    ,COMPANY_NAME=excluded.COMPANY_NAME
    ,JOB_TITLE=excluded.JOB_TITLE
    ,CITY=excluded.CITY
    ,STATE_COUNTY_LOCATION=excluded.STATE_COUNTY_LOCATION
    ,COUNTRY_CODE=excluded.COUNTRY_CODE
    ,POSTAL_CODE=excluded.POSTAL_CODE
    ,CONTACT_MOBILE_NUMBER=excluded.CONTACT_MOBILE_NUMBER
    ,EMAIL_ADDRESS=excluded.EMAIL_ADDRESS
    ,REQUEST_A_DEMO=excluded.REQUEST_A_DEMO
    ,REQUEST_A_QUOTE=excluded.REQUEST_A_QUOTE
    ,HAMCAM=excluded.HAMCAM
    ,PURCHASE_INTENT=excluded.PURCHASE_INTENT
    ,COMMENTS=excluded.COMMENTS
    ,INDUSTRY=excluded.INDUSTRY
    ,CCP_PRODUCT_INTEREST_01=excluded.CCP_PRODUCT_INTEREST_01
    ,CCP_APP_01_5=excluded.CCP_APP_01_5
    ,LEAD_PRODUCTS_01_5=excluded.LEAD_PRODUCTS_01_5
    ,PERMISSION_PHONE=excluded.PERMISSION_PHONE
    ,PERMISSION_PHONE_DATE=excluded.PERMISSION_PHONE_DATE
    ,PERMISSION_EMAIL=excluded.PERMISSION_EMAIL
    ,PERMISSION_EMAIL_DATE=excluded.PERMISSION_EMAIL_DATE
    ,PERMISSION_MAIL=excluded.PERMISSION_MAIL
    ,PERMISSION_MAIL_DATE=excluded.PERMISSION_MAIL_DATE
    ,PERMISSION_SMS=excluded.PERMISSION_SMS
    ,PERMISSION_SMS_DATE=excluded.PERMISSION_SMS_DATE
    ,AGREES_TO_PRIVACY_POLICY=excluded.AGREES_TO_PRIVACY_POLICY
    ,PORTAL_TERMS_AGREEMENT_DATE=excluded.PORTAL_TERMS_AGREEMENT_DATE
    ,CONSENT_TO_COLLECT_PERSONAL_INFO=excluded.CONSENT_TO_COLLECT_PERSONAL_INFO
    ,CONSENT_TO_COLLECT_PERSONAL_INFO_DATE=excluded.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE
    ,MARKETING_CONSENT=excluded.MARKETING_CONSENT
    ,MARKETING_CONSENT_DATE=excluded.MARKETING_CONSENT_DATE
    ,MEANS_OF_CONSENT=excluded.MEANS_OF_CONSENT
    ,SOURCE_OF_CONSENT=excluded.SOURCE_OF_CONSENT
    ,VERSION_OF_PRIVACY_NOTICE=excluded.VERSION_OF_PRIVACY_NOTICE
    ,RECORD_OF_CONSENT=excluded.RECORD_OF_CONSENT
    ,EXACT_CONSENT_LANGUAGE=excluded.EXACT_CONSENT_LANGUAGE
    ,BRAND_TEKTRONIX=excluded.BRAND_TEKTRONIX
    ,BRAND_SSO=excluded.BRAND_SSO
    ,BRAND_KEITHLEY=excluded.BRAND_KEITHLEY
    ,EMAIL_PREFERENCE=excluded.EMAIL_PREFERENCE
    ,second_mobile_number=excluded.second_mobile_number
    ,company_phone_number=excluded.company_phone_number
    ,Src_Sysname=excluded.Src_Sysname
    ,Etl_Job=excluded.Etl_Job
    ,Src_Table=excluded.Src_Table
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Batch_No=excluded.Etl_Batch_No
    

;
/*****程序结束退出                                               */
\q

