#!/usr/bin/python
# -*- encoding=utf-8 -*-
from airflow import DAG
from datetime import datetime, timedelta
from airflow.contrib.hooks.ssh_hook import SSHHook
from airflow.contrib.operators.ssh_operator import SSHOperator
import json

from airflow.operators.email_operator import EmailOperator
from airflow.utils.trigger_rule import TriggerRule


		

sshHook = SSHHook(ssh_conn_id ='ssh_85_air')
default_args = {
'owner': 'sewp_dev',
'email': [],
'start_date': datetime(2022, 9, 12),
'depends_on_past': False,
'retries': 6,
'retry_delay': timedelta(minutes=10),
}


dag = DAG('Dag_Sql_update_dynamic_email_data', default_args=default_args,
schedule_interval="${cronExp}",
catchup=False,
dagrun_timeout=timedelta(minutes=160),
max_active_runs=3)


Sql_update_dynamic_email_data = SSHOperator(
ssh_hook=sshHook,
task_id='Sql_update_dynamic_email_data',
command='python /data/airflow/etl/PDM/{{params.my_param}}.py {{ ds_nodash }} >>/data/airflow/logs/run_tpt_{{ds_nodash}}.log 2>&1 ',
params={'my_param':"sql_update_dynamic_email_data"},
depends_on_past=False, 
retries=3, 
dag=dag)

task_failed = EmailOperator (
    dag=dag,
    trigger_rule=TriggerRule.ONE_FAILED,
    task_id="已发送邮件数据标志_failed",
    to=["${etlEmail}"],
    cc=[""],
    subject="已发送邮件数据标志_failed",
    html_content='<h3>已发送邮件数据标志_failed" </h3>')

Sql_update_dynamic_email_data >> task_failed