
DROP TABLE IF EXISTS p20_pdm.t01_ccc_work_ticket_info;
CREATE TABLE IF NOT EXISTS p20_pdm.t01_ccc_work_ticket_info (
	 id  varchar(10) 
	, workflow_id  varchar(10) 
	, workflow_name  varchar(50) 
	, workflow_category_id  varchar(10) 
	, workflow_category_name  varchar(50) 
	, type  varchar(10) 
	, topic  varchar(10) 
	, level  varchar(10) 
	, status  text 
	, state  text 
	, creator_name  varchar(50) 
	, creator_id  varchar(20) 
	, creator_type  varchar(20) 
	, modifier_id  varchar(20) 
	, modifier_name  varchar(50) 
	, modifier_type  varchar(20) 
	, focus  text 
	, source  varchar(10) 
	, timeout  char(1) 
	, end_time  timestamp(0) 
	, create_time  timestamp(0) 
	, update_time  timestamp(0) 
	, close_time  timestamp(0) 
	, operation_logs  text 
	, operation_logs_new  text 
	, comments  text 
	, state_selected  varchar(20) 
	, last_reminder_time  timestamp(0) 
	, reminder_count  int 
	, customer_id  varchar(10) 
	, customer_name  varchar(100) 
	, customer_tel  varchar(100) 
	, customer_email  varchar(100) 
	, customer_address  text 
	, customer_creator_id  varchar(10) 
	, customer_creator_name  varchar(20) 
	, customer_modifier_id  varchar(20) 
	, customer_modifier_name  varchar(30) 
	, tags  text 
	, call_id  varchar(30) 
	, start_form  text 
	, forms  text 
	, system_form  text 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( id )
);

 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.id IS '工单 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.workflow_id IS '模板 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.workflow_name IS '模板名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.workflow_category_id IS '模板类别id'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.workflow_category_name IS '模板类别名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.type IS '工单类型'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.topic IS '工单主题'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.level IS '工单优先级'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.status IS '工单状态'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.state IS '自定义状态数组'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.creator_name IS '创建人名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.creator_id IS '创建人 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.creator_type IS ''; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.modifier_id IS '修改人 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.modifier_name IS '修改人名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.modifier_type IS ''; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.focus IS '关注人数组集合'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.source IS '来源'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.timeout IS '是否超时'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.end_time IS '结束时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.create_time IS '创建时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.update_time IS '更新时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.close_time IS '关闭时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.operation_logs IS '工单操作日志 '; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.operation_logs_new IS '工单操作日志v2'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.comments IS '评论人数组 '; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.state_selected IS '当前工单状态'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.last_reminder_time IS '最近催单时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.reminder_count IS '催单次数'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_id IS '客户 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_name IS '客户名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_tel IS '客户号码'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_email IS '客户邮箱'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_address IS '客户地址'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_creator_id IS '客户资料创建人 ID'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_creator_name IS '客户资料创建人名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_modifier_id IS '客户资料修改人'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.customer_modifier_name IS '客户资料修改人姓名'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.tags IS '工单标签'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.call_id IS '通话记录唯一标识'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.start_form IS '起始表单'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.forms IS '历史表单'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.system_form IS '工单属性表单'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p20_pdm.t01_ccc_work_ticket_info.Src_Table IS '来源表'; 

COMMENT ON TABLE p20_pdm.t01_ccc_work_ticket_info IS 'smartccc工单信息';