/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_ccc_work_ticket_info(smartccc工单信息)             */
/*Create Date:2024-08-01 10:26:08                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-07-08                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-08-01                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: :SADB.s98_s_tr_ticket_detail                                                     */
/*Source table 2: p10_sa.s98_s_tr_ticket_list                                                      */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_ccc_work_ticket_info                                                            */
/*ETL Job Name:t01_ccc_work_ticket_info                                                            */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_work_ticket_info_agi_CUR_I 
 ( LIKE :PDMDB.t01_ccc_work_ticket_info)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE t01_ccc_work_ticket_info_agi_INS 
( LIKE :PDMDB.t01_ccc_work_ticket_info)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_tr_ticket_list**********************************************************/
/*****************************************************************************************************/

INSERT INTO t01_ccc_work_ticket_info_agi_CUR_I (
            id                                      /*工单 ID*/
           ,workflow_id                             /*模板 ID*/
           ,workflow_name                           /*模板名称*/
           ,workflow_category_id                    /*模板类别id*/
           ,workflow_category_name                  /*模板类别名称*/
           ,type                                    /*工单类型*/
           ,topic                                   /*工单主题*/
           ,level                                   /*工单优先级*/
           ,status                                  /*工单状态*/
           ,state                                   /*自定义状态数组*/
           ,creator_name                            /*创建人名称*/
           ,creator_id                              /*创建人 ID*/
           ,creator_type                            /**/
           ,modifier_id                             /*修改人 ID*/
           ,modifier_name                           /*修改人名称*/
           ,modifier_type                           /**/
           ,focus                                   /*关注人数组集合*/
           ,source                                  /*来源*/
           ,timeout                                 /*是否超时*/
           ,end_time                                /*结束时间*/
           ,create_time                             /*创建时间*/
           ,update_time                             /*更新时间*/
           ,close_time                              /*关闭时间*/
           ,operation_logs                          /*工单操作日志 */
           ,operation_logs_new                      /*工单操作日志v2*/
           ,comments                                /*评论人数组 */
           ,state_selected                          /*当前工单状态*/
           ,last_reminder_time                      /*最近催单时间*/
           ,reminder_count                          /*催单次数*/
           ,customer_id                             /*客户 ID*/
           ,customer_name                           /*客户名称*/
           ,customer_tel                            /*客户号码*/
           ,customer_email                          /*客户邮箱*/
           ,customer_address                        /*客户地址*/
           ,customer_creator_id                     /*客户资料创建人 ID*/
           ,customer_creator_name                   /*客户资料创建人名称*/
           ,customer_modifier_id                    /*客户资料修改人*/
           ,customer_modifier_name                  /*客户资料修改人姓名*/
           ,tags                                    /*工单标签*/
           ,call_id                                 /*通话记录唯一标识*/
           ,start_form                              /*起始表单*/
           ,forms                                   /*历史表单*/
           ,system_form                             /*工单属性表单*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(CAST(p0.id AS varchar(10))),'')             /*id*/
        ,COALESCE(TRIM(CAST(p0.workflow_id AS varchar(10))),'')        /*workflow_id*/
        ,COALESCE(TRIM(CAST(p0.workflow_name AS varchar(50))),'')        /*workflow_name*/
        ,p1.workflow_category_id                                   /*workflow_category_id*/
        ,p1.workflow_category_name                                 /*workflow_category_name*/
        ,COALESCE(TRIM(CAST(p0.type AS varchar(10))),'')           /*type*/
        ,COALESCE(TRIM(CAST(p0.topic AS varchar(10))),'')          /*topic*/
        ,COALESCE(TRIM(CAST(p0.level AS varchar(10))),'')          /*level*/
        ,COALESCE(TRIM(p0.status),'')                              /*status*/
        ,p1.state                                                  /*state*/
        ,COALESCE(TRIM(CAST(p0.creator_name AS varchar(50))),'')        /*creator_name*/
        ,COALESCE(TRIM(CAST(p0.creator_id AS varchar(20))),'')        /*creator_id*/
        ,COALESCE(TRIM(CAST(p0.creator_type AS varchar(20))),'')        /*creator_type*/
        ,COALESCE(TRIM(CAST(p0.modifier_id AS varchar(20))),'')        /*modifier_id*/
        ,p1.modifier_name                                          /*modifier_name*/
        ,COALESCE(TRIM(CAST(p0.modifier_type AS varchar(20))),'')        /*modifier_type*/
        ,p1.focus                                                  /*focus*/
        ,COALESCE(TRIM(CAST(p0.source AS varchar(10))),'')         /*source*/
        ,COALESCE(TRIM(CAST(p0.timeout AS char(1))),'')            /*timeout*/
        ,to_timestamp(p0.end_time::bigint/1000)::timestamp(0)        /*end_time*/
        ,to_timestamp(p0.create_time::bigint/1000)::timestamp(0)        /*create_time*/
        ,to_timestamp(p1.update_time::bigint/1000)::timestamp(0)        /*update_time*/
        ,to_timestamp(p0.close_time::bigint/1000)::timestamp(0)        /*close_time*/
        ,p1.operation_logs                                         /*operation_logs*/
        ,p1.operation_logs_new                                     /*operation_logs_new*/
        ,p1.comments                                               /*comments*/
        ,COALESCE(TRIM(CAST(p0.state_selected AS varchar(20))),'')        /*state_selected*/
        ,to_timestamp(p0.last_reminder_time::bigint/1000)::timestamp(0)        /*last_reminder_time*/
        ,COALESCE(CAST(p0.reminder_count AS int),0)                /*reminder_count*/
        ,COALESCE(TRIM(CAST(p0.customer_id AS varchar(10))),'')        /*customer_id*/
        ,COALESCE(TRIM(CAST(p0.customer_name AS varchar(100))),'')        /*customer_name*/
        ,COALESCE(TRIM(CAST(p0.customer_tel AS varchar(100))),'')        /*customer_tel*/
        ,COALESCE(TRIM(CAST(p0.customer_email AS varchar(100))),'')        /*customer_email*/
        ,COALESCE(TRIM(p0.customer_address),'')                    /*customer_address*/
        ,COALESCE(TRIM(CAST(p0.customer_creator_id AS varchar(10))),'')        /*customer_creator_id*/
        ,COALESCE(TRIM(CAST(p0.customer_creator_name AS varchar(20))),'')        /*customer_creator_name*/
        ,COALESCE(TRIM(CAST(p0.customer_modifier_id AS varchar(20))),'')        /*customer_modifier_id*/
        ,COALESCE(TRIM(CAST(p0.customer_modifier_name AS varchar(30))),'')        /*customer_modifier_name*/
        ,COALESCE(TRIM(p0.tags),'')                                /*tags*/
        ,p1.call_id                                                /*call_id*/
        ,p1.start_form                                             /*start_form*/
        ,p1.forms                                                  /*forms*/
        ,COALESCE(TRIM(p0.system_form),'')                         /*system_form*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('s98_s_tr_ticket_list',1,3)                        /*Src_Sysname*/
        ,'s98_s_tr_ticket_list'                                    /*Src_Table*/
        
FROM p10_sa.s98_s_tr_ticket_list  p0
LEFT JOIN :SADB.s98_s_tr_ticket_detail  p1
        ON p1.id=p0.id
where p0.id is not null

;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO t01_ccc_work_ticket_info_agi_INS (
         workflow_id                                               /*模板 ID*/
        ,workflow_name                                             /*模板名称*/
        ,workflow_category_id                                      /*模板类别id*/
        ,workflow_category_name                                    /*模板类别名称*/
        ,type                                                      /*工单类型*/
        ,topic                                                     /*工单主题*/
        ,level                                                     /*工单优先级*/
        ,status                                                    /*工单状态*/
        ,state                                                     /*自定义状态数组*/
        ,creator_name                                              /*创建人名称*/
        ,creator_id                                                /*创建人 ID*/
        ,creator_type                                              /**/
        ,modifier_id                                               /*修改人 ID*/
        ,modifier_name                                             /*修改人名称*/
        ,modifier_type                                             /**/
        ,focus                                                     /*关注人数组集合*/
        ,source                                                    /*来源*/
        ,timeout                                                   /*是否超时*/
        ,end_time                                                  /*结束时间*/
        ,create_time                                               /*创建时间*/
        ,update_time                                               /*更新时间*/
        ,close_time                                                /*关闭时间*/
        ,operation_logs                                            /*工单操作日志 */
        ,operation_logs_new                                        /*工单操作日志v2*/
        ,comments                                                  /*评论人数组 */
        ,state_selected                                            /*当前工单状态*/
        ,last_reminder_time                                        /*最近催单时间*/
        ,reminder_count                                            /*催单次数*/
        ,customer_id                                               /*客户 ID*/
        ,customer_name                                             /*客户名称*/
        ,customer_tel                                              /*客户号码*/
        ,customer_email                                            /*客户邮箱*/
        ,customer_address                                          /*客户地址*/
        ,customer_creator_id                                       /*客户资料创建人 ID*/
        ,customer_creator_name                                     /*客户资料创建人名称*/
        ,customer_modifier_id                                      /*客户资料修改人*/
        ,customer_modifier_name                                    /*客户资料修改人姓名*/
        ,tags                                                      /*工单标签*/
        ,call_id                                                   /*通话记录唯一标识*/
        ,start_form                                                /*起始表单*/
        ,forms                                                     /*历史表单*/
        ,system_form                                               /*工单属性表单*/
        ,id                                                        /*工单 ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
    SELECT
         P1.workflow_id                                               /*模板 ID*/
        ,P1.workflow_name                                             /*模板名称*/
        ,P1.workflow_category_id                                      /*模板类别id*/
        ,P1.workflow_category_name                                    /*模板类别名称*/
        ,P1.type                                                      /*工单类型*/
        ,P1.topic                                                     /*工单主题*/
        ,P1.level                                                     /*工单优先级*/
        ,P1.status                                                    /*工单状态*/
        ,P1.state                                                     /*自定义状态数组*/
        ,P1.creator_name                                              /*创建人名称*/
        ,P1.creator_id                                                /*创建人 ID*/
        ,P1.creator_type                                              /**/
        ,P1.modifier_id                                               /*修改人 ID*/
        ,P1.modifier_name                                             /*修改人名称*/
        ,P1.modifier_type                                             /**/
        ,P1.focus                                                     /*关注人数组集合*/
        ,P1.source                                                    /*来源*/
        ,P1.timeout                                                   /*是否超时*/
        ,P1.end_time                                                  /*结束时间*/
        ,P1.create_time                                               /*创建时间*/
        ,P1.update_time                                               /*更新时间*/
        ,P1.close_time                                                /*关闭时间*/
        ,P1.operation_logs                                            /*工单操作日志 */
        ,P1.operation_logs_new                                        /*工单操作日志v2*/
        ,P1.comments                                                  /*评论人数组 */
        ,P1.state_selected                                            /*当前工单状态*/
        ,P1.last_reminder_time                                        /*最近催单时间*/
        ,P1.reminder_count                                            /*催单次数*/
        ,P1.customer_id                                               /*客户 ID*/
        ,P1.customer_name                                             /*客户名称*/
        ,P1.customer_tel                                              /*客户号码*/
        ,P1.customer_email                                            /*客户邮箱*/
        ,P1.customer_address                                          /*客户地址*/
        ,P1.customer_creator_id                                       /*客户资料创建人 ID*/
        ,P1.customer_creator_name                                     /*客户资料创建人名称*/
        ,P1.customer_modifier_id                                      /*客户资料修改人*/
        ,P1.customer_modifier_name                                    /*客户资料修改人姓名*/
        ,P1.tags                                                      /*工单标签*/
        ,P1.call_id                                                   /*通话记录唯一标识*/
        ,P1.start_form                                                /*起始表单*/
        ,P1.forms                                                     /*历史表单*/
        ,P1.system_form                                               /*工单属性表单*/
        ,P1.id                                                        /*工单 ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_ccc_work_ticket_info_agi_CUR_I P1
LEFT JOIN :PDMDB.t01_ccc_work_ticket_info P2
ON    P1.workflow_id = P2.workflow_id
    AND P1.workflow_name = P2.workflow_name
    AND P1.workflow_category_id = P2.workflow_category_id
    AND P1.workflow_category_name = P2.workflow_category_name
    AND P1.type = P2.type
    AND P1.topic = P2.topic
    AND P1.level = P2.level
    AND P1.status = P2.status
    AND P1.state = P2.state
    AND P1.creator_name = P2.creator_name
    AND P1.creator_id = P2.creator_id
    AND P1.creator_type = P2.creator_type
    AND P1.modifier_id = P2.modifier_id
    AND P1.modifier_name = P2.modifier_name
    AND P1.modifier_type = P2.modifier_type
    AND P1.focus = P2.focus
    AND P1.source = P2.source
    AND P1.timeout = P2.timeout
    AND P1.end_time = P2.end_time
    AND P1.create_time = P2.create_time
    AND P1.update_time = P2.update_time
    AND P1.close_time = P2.close_time
    AND P1.operation_logs = P2.operation_logs
    AND P1.operation_logs_new = P2.operation_logs_new
    AND P1.comments = P2.comments
    AND P1.state_selected = P2.state_selected
    AND P1.last_reminder_time = P2.last_reminder_time
    AND P1.reminder_count = P2.reminder_count
    AND P1.customer_id = P2.customer_id
    AND P1.customer_name = P2.customer_name
    AND P1.customer_tel = P2.customer_tel
    AND P1.customer_email = P2.customer_email
    AND P1.customer_address = P2.customer_address
    AND P1.customer_creator_id = P2.customer_creator_id
    AND P1.customer_creator_name = P2.customer_creator_name
    AND P1.customer_modifier_id = P2.customer_modifier_id
    AND P1.customer_modifier_name = P2.customer_modifier_name
    AND P1.tags = P2.tags
    AND P1.call_id = P2.call_id
    AND P1.start_form = P2.start_form
    AND P1.forms = P2.forms
    AND P1.system_form = P2.system_form
    AND P1.id = P2.id
    
WHERE  P2.workflow_id IS NULL
    OR P2.workflow_name IS NULL
    OR P2.workflow_category_id IS NULL
    OR P2.workflow_category_name IS NULL
    OR P2.type IS NULL
    OR P2.topic IS NULL
    OR P2.level IS NULL
    OR P2.status IS NULL
    OR P2.state IS NULL
    OR P2.creator_name IS NULL
    OR P2.creator_id IS NULL
    OR P2.creator_type IS NULL
    OR P2.modifier_id IS NULL
    OR P2.modifier_name IS NULL
    OR P2.modifier_type IS NULL
    OR P2.focus IS NULL
    OR P2.source IS NULL
    OR P2.timeout IS NULL
    OR P2.end_time IS NULL
    OR P2.create_time IS NULL
    OR P2.update_time IS NULL
    OR P2.close_time IS NULL
    OR P2.operation_logs IS NULL
    OR P2.operation_logs_new IS NULL
    OR P2.comments IS NULL
    OR P2.state_selected IS NULL
    OR P2.last_reminder_time IS NULL
    OR P2.reminder_count IS NULL
    OR P2.customer_id IS NULL
    OR P2.customer_name IS NULL
    OR P2.customer_tel IS NULL
    OR P2.customer_email IS NULL
    OR P2.customer_address IS NULL
    OR P2.customer_creator_id IS NULL
    OR P2.customer_creator_name IS NULL
    OR P2.customer_modifier_id IS NULL
    OR P2.customer_modifier_name IS NULL
    OR P2.tags IS NULL
    OR P2.call_id IS NULL
    OR P2.start_form IS NULL
    OR P2.forms IS NULL
    OR P2.system_form IS NULL
    OR P2.id IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :PDMDB.t01_ccc_work_ticket_info (
         workflow_id                                               /*模板 ID*/
        ,workflow_name                                             /*模板名称*/
        ,workflow_category_id                                      /*模板类别id*/
        ,workflow_category_name                                    /*模板类别名称*/
        ,type                                                      /*工单类型*/
        ,topic                                                     /*工单主题*/
        ,level                                                     /*工单优先级*/
        ,status                                                    /*工单状态*/
        ,state                                                     /*自定义状态数组*/
        ,creator_name                                              /*创建人名称*/
        ,creator_id                                                /*创建人 ID*/
        ,creator_type                                              /**/
        ,modifier_id                                               /*修改人 ID*/
        ,modifier_name                                             /*修改人名称*/
        ,modifier_type                                             /**/
        ,focus                                                     /*关注人数组集合*/
        ,source                                                    /*来源*/
        ,timeout                                                   /*是否超时*/
        ,end_time                                                  /*结束时间*/
        ,create_time                                               /*创建时间*/
        ,update_time                                               /*更新时间*/
        ,close_time                                                /*关闭时间*/
        ,operation_logs                                            /*工单操作日志 */
        ,operation_logs_new                                        /*工单操作日志v2*/
        ,comments                                                  /*评论人数组 */
        ,state_selected                                            /*当前工单状态*/
        ,last_reminder_time                                        /*最近催单时间*/
        ,reminder_count                                            /*催单次数*/
        ,customer_id                                               /*客户 ID*/
        ,customer_name                                             /*客户名称*/
        ,customer_tel                                              /*客户号码*/
        ,customer_email                                            /*客户邮箱*/
        ,customer_address                                          /*客户地址*/
        ,customer_creator_id                                       /*客户资料创建人 ID*/
        ,customer_creator_name                                     /*客户资料创建人名称*/
        ,customer_modifier_id                                      /*客户资料修改人*/
        ,customer_modifier_name                                    /*客户资料修改人姓名*/
        ,tags                                                      /*工单标签*/
        ,call_id                                                   /*通话记录唯一标识*/
        ,start_form                                                /*起始表单*/
        ,forms                                                     /*历史表单*/
        ,system_form                                               /*工单属性表单*/
        ,id                                                        /*工单 ID*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
SELECT
         P1.workflow_id                                               /*模板 ID*/
        ,P1.workflow_name                                             /*模板名称*/
        ,P1.workflow_category_id                                      /*模板类别id*/
        ,P1.workflow_category_name                                    /*模板类别名称*/
        ,P1.type                                                      /*工单类型*/
        ,P1.topic                                                     /*工单主题*/
        ,P1.level                                                     /*工单优先级*/
        ,P1.status                                                    /*工单状态*/
        ,P1.state                                                     /*自定义状态数组*/
        ,P1.creator_name                                              /*创建人名称*/
        ,P1.creator_id                                                /*创建人 ID*/
        ,P1.creator_type                                              /**/
        ,P1.modifier_id                                               /*修改人 ID*/
        ,P1.modifier_name                                             /*修改人名称*/
        ,P1.modifier_type                                             /**/
        ,P1.focus                                                     /*关注人数组集合*/
        ,P1.source                                                    /*来源*/
        ,P1.timeout                                                   /*是否超时*/
        ,P1.end_time                                                  /*结束时间*/
        ,P1.create_time                                               /*创建时间*/
        ,P1.update_time                                               /*更新时间*/
        ,P1.close_time                                                /*关闭时间*/
        ,P1.operation_logs                                            /*工单操作日志 */
        ,P1.operation_logs_new                                        /*工单操作日志v2*/
        ,P1.comments                                                  /*评论人数组 */
        ,P1.state_selected                                            /*当前工单状态*/
        ,P1.last_reminder_time                                        /*最近催单时间*/
        ,P1.reminder_count                                            /*催单次数*/
        ,P1.customer_id                                               /*客户 ID*/
        ,P1.customer_name                                             /*客户名称*/
        ,P1.customer_tel                                              /*客户号码*/
        ,P1.customer_email                                            /*客户邮箱*/
        ,P1.customer_address                                          /*客户地址*/
        ,P1.customer_creator_id                                       /*客户资料创建人 ID*/
        ,P1.customer_creator_name                                     /*客户资料创建人名称*/
        ,P1.customer_modifier_id                                      /*客户资料修改人*/
        ,P1.customer_modifier_name                                    /*客户资料修改人姓名*/
        ,P1.tags                                                      /*工单标签*/
        ,P1.call_id                                                   /*通话记录唯一标识*/
        ,P1.start_form                                                /*起始表单*/
        ,P1.forms                                                     /*历史表单*/
        ,P1.system_form                                               /*工单属性表单*/
        ,P1.id                                                        /*工单 ID*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_ccc_work_ticket_info_agi_INS P1
ON CONFLICT ( id)
DO UPDATE SET
     id=excluded.id
    ,workflow_id=excluded.workflow_id
    ,workflow_name=excluded.workflow_name
    ,workflow_category_id=excluded.workflow_category_id
    ,workflow_category_name=excluded.workflow_category_name
    ,type=excluded.type
    ,topic=excluded.topic
    ,level=excluded.level
    ,status=excluded.status
    ,state=excluded.state
    ,creator_name=excluded.creator_name
    ,creator_id=excluded.creator_id
    ,creator_type=excluded.creator_type
    ,modifier_id=excluded.modifier_id
    ,modifier_name=excluded.modifier_name
    ,modifier_type=excluded.modifier_type
    ,focus=excluded.focus
    ,source=excluded.source
    ,timeout=excluded.timeout
    ,end_time=excluded.end_time
    ,create_time=excluded.create_time
    ,update_time=excluded.update_time
    ,close_time=excluded.close_time
    ,operation_logs=excluded.operation_logs
    ,operation_logs_new=excluded.operation_logs_new
    ,comments=excluded.comments
    ,state_selected=excluded.state_selected
    ,last_reminder_time=excluded.last_reminder_time
    ,reminder_count=excluded.reminder_count
    ,customer_id=excluded.customer_id
    ,customer_name=excluded.customer_name
    ,customer_tel=excluded.customer_tel
    ,customer_email=excluded.customer_email
    ,customer_address=excluded.customer_address
    ,customer_creator_id=excluded.customer_creator_id
    ,customer_creator_name=excluded.customer_creator_name
    ,customer_modifier_id=excluded.customer_modifier_id
    ,customer_modifier_name=excluded.customer_modifier_name
    ,tags=excluded.tags
    ,call_id=excluded.call_id
    ,start_form=excluded.start_form
    ,forms=excluded.forms
    ,system_form=excluded.system_form
    ,Etl_Batch_No=excluded.Etl_Batch_No
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Job=excluded.Etl_Job
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    

;
/*****程序结束退出                                               */
\q

