
DROP TABLE IF EXISTS p30_common.f_ccc_work_ticket_integ;
CREATE TABLE IF NOT EXISTS p30_common.f_ccc_work_ticket_integ (
	 PEXTENSION_CODE  varchar(20) 
	, PEXTENSION  varchar(20) 
	, LAST_NAME  varchar(20) 
	, SUFFIX  varchar(20) 
	, COMPANY_NAME  varchar(50) 
	, JOB_TITLE  varchar(20) 
	, CITY  varchar(20) 
	, STATE_COUNTY_LOCATION  varchar(20) 
	, COUNTRY_CODE  varchar(20) 
	, POSTAL_CODE  varchar(20) 
	, CONTACT_MOBILE_NUMBER  varchar(20) 
	, EMAIL_ADDRESS  varchar(50) 
	, REQUEST_A_DEMO  varchar(10) 
	, REQUEST_A_QUOTE  varchar(10) 
	, HAMCAM  varchar(10) 
	, PURCHASE_INTENT  varchar(10) 
	, COMMENTS  text 
	, INDUSTRY  varchar(20) 
	, CCP_PRODUCT_INTEREST_01  varchar(20) 
	, CCP_APP_01_5  varchar(20) 
	, LEAD_PRODUCTS_01_5  varchar(20) 
	, PERMISSION_PHONE  varchar(10) 
	, PERMISSION_PHONE_DATE  timestamp(0) 
	, PERMISSION_EMAIL  varchar(10) 
	, PERMISSION_EMAIL_DATE  timestamp(0) 
	, PERMISSION_MAIL  varchar(10) 
	, PERMISSION_MAIL_DATE  timestamp(0) 
	, PERMISSION_SMS  varchar(10) 
	, PERMISSION_SMS_DATE  timestamp(0) 
	, AGREES_TO_PRIVACY_POLICY  varchar(10) 
	, PORTAL_TERMS_AGREEMENT_DATE  timestamp(0) 
	, CONSENT_TO_COLLECT_PERSONAL_INFO  varchar(10) 
	, CONSENT_TO_COLLECT_PERSONAL_INFO_DATE  timestamp(0) 
	, MARKETING_CONSENT  varchar(10) 
	, MARKETING_CONSENT_DATE  timestamp(0) 
	, MEANS_OF_CONSENT  varchar(10) 
	, SOURCE_OF_CONSENT  varchar(10) 
	, VERSION_OF_PRIVACY_NOTICE  varchar(10) 
	, RECORD_OF_CONSENT  varchar(10) 
	, EXACT_CONSENT_LANGUAGE  varchar(10) 
	, BRAND_TEKTRONIX  varchar(10) 
	, BRAND_SSO  varchar(10) 
	, BRAND_KEITHLEY  varchar(10) 
	, EMAIL_PREFERENCE  varchar(10) 
	, Src_Sysname  varchar(50) 
	, Etl_Job  varchar(200) 
	, Src_Table  varchar(50) 
	, Etl_Tx_Dt  timestamp(0) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	,primary key( SUFFIX )
);

 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PEXTENSION_CODE IS '来源代码'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PEXTENSION IS '来源'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.LAST_NAME IS '姓名'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.SUFFIX IS '工单ID'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.COMPANY_NAME IS '公司名称'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.JOB_TITLE IS '职位'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CITY IS '城市'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.STATE_COUNTY_LOCATION IS '省份'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.COUNTRY_CODE IS '国家'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.POSTAL_CODE IS '邮编'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CONTACT_MOBILE_NUMBER IS '电话'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.EMAIL_ADDRESS IS '邮箱'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.REQUEST_A_DEMO IS 'demo标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.REQUEST_A_QUOTE IS '引用标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.HAMCAM IS '账户管理员标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PURCHASE_INTENT IS '购买意向'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.COMMENTS IS '备注'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.INDUSTRY IS '行业'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CCP_PRODUCT_INTEREST_01 IS '产品偏好'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CCP_APP_01_5 IS '应用'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.LEAD_PRODUCTS_01_5 IS '产品型号'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_PHONE IS '电话授权标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_PHONE_DATE IS '电话授权时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_EMAIL IS '电子邮件授权标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_EMAIL_DATE IS '电子邮件授权时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_MAIL IS '邮件授权标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_MAIL_DATE IS '邮件授权时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_SMS IS 'SMS授权标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PERMISSION_SMS_DATE IS 'SMS授权时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.AGREES_TO_PRIVACY_POLICY IS '个人信息授权标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.PORTAL_TERMS_AGREEMENT_DATE IS '协议授权时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CONSENT_TO_COLLECT_PERSONAL_INFO IS '个人信息收集标志'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.CONSENT_TO_COLLECT_PERSONAL_INFO_DATE IS '个人信息收集时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.MARKETING_CONSENT IS 'MARKETING_CONSENT'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.MARKETING_CONSENT_DATE IS 'MARKETING_CONSENT_DATE'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.MEANS_OF_CONSENT IS 'MEANS_OF_CONSENT'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.SOURCE_OF_CONSENT IS 'SOURCE_OF_CONSENT'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.VERSION_OF_PRIVACY_NOTICE IS 'VERSION_OF_PRIVACY_NOTICE'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.RECORD_OF_CONSENT IS 'RECORD_OF_CONSENT'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.EXACT_CONSENT_LANGUAGE IS 'EXACT_CONSENT_LANGUAGE'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.BRAND_TEKTRONIX IS 'BRAND_TEKTRONIX'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.BRAND_SSO IS 'BRAND_SSO'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.BRAND_KEITHLEY IS 'BRAND_KEITHLEY'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.EMAIL_PREFERENCE IS 'EMAIL_PREFERENCE'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Src_Table IS '来源表'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p30_common.f_ccc_work_ticket_integ.Etl_Batch_No IS '作业批次号'; 

COMMENT ON TABLE p30_common.f_ccc_work_ticket_integ IS 'smartccc工单信息集成';