/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on

      
DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons1_1'
AND CHECK_TYPE_CD = 'Cons1'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons1_1' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when mobile_phone_availability = '1' then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons1_2'
AND CHECK_TYPE_CD = 'Cons1'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons1_2' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when email_availability = '1' then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons1_3'
AND CHECK_TYPE_CD = 'Cons1'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons1_3' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when ((full_name ~ '^[\u4e00-\u9fa5]{1}\.[\u4e00-\u9fa5]{1,2}$')
    OR
    (full_name ~ '^[\u4e00-\u9fa5]{2,4}\.$')) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons1_4'
AND CHECK_TYPE_CD = 'Cons1'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons1_4' AS Check_Id
,'Cons1' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (company ~ '^[\u4e00-\u9fa5]+公司$' 
    OR company ~ '^[\u4e00-\u9fa5]+集团$' 
    OR company ~ '^[\u4e00-\u9fa5]+大学$') AND LENGTH(company) >= 4 then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_1'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_1' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (mobile = ''
or mobile is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_2'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_2' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (email  = ''
or email  is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_3'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_3' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (full_name  = ''
or full_name  is NULL
or full_name = '0') then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_4'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_4' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (company  = ''
or company  is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_5'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_5' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (prov_name  = ''
or prov_name  is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_6'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_6' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (city_name   = ''
or city_name  is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Integ10_7'
AND CHECK_TYPE_CD = 'Integ10'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Integ10_7' AS Check_Id
,'Integ10' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (industry   = ''
or industry  is NULL) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y';


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_1'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_1' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (company <> ''
and account <> ''
AND company = account) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y' and contact_channel like  'CRM%';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_2'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_2' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (company <> account) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info
WHERE active_ind = '3Y' and contact_channel like  'CRM%';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_5'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_5' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p2.crm_contact_id is not null) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
 left join (
    SELECT 
            P1.crm_contact_account, 
            P1.company_name AS crm_company, 
            P1.account_name AS crm_account, 
            P1.contact_id AS CRM_CONTACT_ID, 
            P2.scrm_leads_id, 
            P2.company_name AS scrm_company, 
            P2.contact_id AS SCRM_CONTACT_ID 
        FROM (
            SELECT 
                P1.crm_contact_account, 
                P1.company_name, 
                P1.account_name, 
                P2.contact_id
            FROM 
                p30_common.d_crm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.crm_contact_account = P2.contact
        ) AS P1
        LEFT JOIN (
            SELECT 
                P1.scrm_leads_id, 
                P1.company_name, 
                P2.contact_id
            FROM 
                p30_common.d_scrm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.scrm_leads_id = P2.contact
        ) AS P2
        ON 
            P1.contact_id = P2.contact_id
        WHERE 
            P1.company_name = P2.company_name
        AND 
            P1.account_name = P2.company_name
				and P1.company_name <> ''
				and P1.account_name <> ''
				and P2.company_name <> ''
 ) p2
 on p1.contact_id=p2.crm_contact_id
WHERE p1.active_ind = '3Y' ;


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_6'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_6' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p60_mart' AS Src_Schema_Name
,'v_cust_all_info' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p2.crm_contact_id is not null) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p60_mart.v_cust_all_info p1
 left join (
    SELECT 
            P1.crm_contact_account, 
            P1.company_name AS crm_company, 
            P1.account_name AS crm_account, 
            P1.contact_id AS CRM_CONTACT_ID, 
            P2.scrm_leads_id, 
            P2.company_name AS scrm_company, 
            P2.contact_id AS SCRM_CONTACT_ID 
        FROM (
            SELECT 
                P1.crm_contact_account, 
                P1.company_name, 
                P1.account_name, 
                P2.contact_id
            FROM 
                p30_common.d_crm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.crm_contact_account = P2.contact
        ) AS P1
        LEFT JOIN (
            SELECT 
                P1.scrm_leads_id, 
                P1.company_name, 
                P2.contact_id
            FROM 
                p30_common.d_scrm_contact P1 
            LEFT JOIN 
                p30_common.v_cust_contact_mapping P2 
            ON 
                P1.scrm_leads_id = P2.contact
        ) AS P2
        ON 
            P1.contact_id = P2.contact_id
        WHERE 
            P1.company_name <> P2.company_name
        AND 
            P1.account_name <> P2.company_name
 ) p2
 on p1.contact_id=p2.crm_contact_id
WHERE p1.active_ind = '3Y' ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_7'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_7' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_8'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_8' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_9'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_9' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_10'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_10' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null ;


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_11'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_11' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email 
or p1.email <> p3.email
or p2.email <> p3.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.mobile_phone = p3.mobile_phone 
AND p2.mobile_phone = p3.mobile_phone
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_12'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_12' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone 
or p1.mobile_phone <> p3.mobile_phone
or p2.mobile_phone <> p3.mobile_phone) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.email = p3.email 
AND p2.email = p3.email
where p2.email is not null ;


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_13'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_13' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email 
or p1.email <> p3.email
or p2.email <> p3.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.mobile_phone = p3.mobile_phone 
AND p2.mobile_phone = p3.mobile_phone
where p2.mobile_phone is not null
and p1.email_availability = '1'
and p2.email_availability = '1'
and p3.email_availability = '1' ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_14'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_14' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone 
or p1.mobile_phone <> p3.mobile_phone
or p2.mobile_phone <> p3.mobile_phone) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_crm_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
LEFT JOIN p30_common.d_livechat_contact p3
on p1.email = p3.email 
AND p2.email = p3.email
where p2.email is not null 
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
and p3.mobile_phone_availability = '1';

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_15'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_15' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_16'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_16' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_17'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_17' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_18'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_18' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_scrm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null ;


DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_19'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_19' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_20'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_20' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.email=p2.email
and p2.email<> ''
where p2.email is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_21'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_21' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.email <> p2.email ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.mobile_phone=p2.mobile_phone
and p2.mobile_phone<> ''
and p1.email_availability = '1'
and p2.email_availability = '1'
where p2.mobile_phone is not null ;

DELETE FROM p51_dqc.DQ_CHECK_RESULT
WHERE CHECK_ID ='Cons22_22'
AND CHECK_TYPE_CD = 'Cons22'
AND Check_Run_Date = CURRENT_DATE;
INSERT INTO p51_dqc.DQ_CHECK_RESULT(
       Check_Id
       ,Check_Type_Cd
       ,Check_Run_Date
       ,Check_Start_Time
       ,Check_End_Time
       ,Src_Sys_Brief_Name
       ,Src_DB_Name
       ,Src_Schema_Name
       ,Src_Table_Name
       ,Src_Column_Name
       ,ETL_Job_Name
       ,Src_Table_Total_Rec
       ,Src_Table_Excpt_Rec
       ,Check_SQL
       ,Remark
       ) 
SELECT 'Cons22_22' AS Check_Id
,'Cons22' AS Check_Type_Cd
,CURRENT_DATE AS Check_Run_Date
,CURRENT_TIMESTAMP AS Check_Start_Time
,CURRENT_TIMESTAMP AS Check_End_Time
,'TDVM' AS Src_Sys_Brief_Name
,'p51_dqc' AS Src_DB_Name
,'p30_common' AS Src_Schema_Name
,'d_xx_contact' AS Src_Table_Name
,'' AS Src_Column_Name
,'' AS ETL_Job_Name
,COUNT(1) AS Src_Table_Total_Rec
,SUM(case when (p1.mobile_phone <> p2.mobile_phone ) then 1 else 0 end) AS Src_Table_Excpt_Rec
,'' AS Check_SQL
,'' AS Remark
 FROM  p30_common.d_livechat_contact p1
left join p30_common.d_crm_contact p2
on p1.email=p2.email
and p2.email<> ''
and p1.mobile_phone_availability = '1'
and p2.mobile_phone_availability = '1'
where p2.email is not null ;

\q