
DROP TABLE IF EXISTS p60_mart.cust_enagement_records;
CREATE TABLE IF NOT EXISTS p60_mart.cust_enagement_records (
	 contact_id  varchar(20) 
	, full_name  varchar(200) 
	, record_type  varchar(30) 
	, record_id  varchar(50) 
	, enagement_record  varchar(500) 
	, record_time  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( contact_id,record_id,enagement_record,record_time )
);

 COMMENT ON COLUMN p60_mart.cust_enagement_records.contact_id IS '客户编号'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.full_name IS '全名'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.record_type IS '记录类型'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.record_id IS '记录编号'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.enagement_record IS '接触记录'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.record_time IS '记录时间'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p60_mart.cust_enagement_records.Src_Table IS '来源表'; 

COMMENT ON TABLE p60_mart.cust_enagement_records IS '客户接触记录';