/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :cust_leads_detail(客户线索明细)             */
/*Create Date:2024-06-04 11:19:40                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-05-31                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-06-04                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: :PDMDB.t01_scrm_leads_his                                                        */
/*Source table 2: :PDMDB.t01_udesk_record                                                          */
/*Source table 3: :PDMDB.t01_livechat_record                                                       */
/*Source table 4: :PDMDB.t01_scrm_leads                                                            */
/*Source table 5: :PDMDB.t01_crm_raw_leads                                                         */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:cust_leads_detail                                                                   */
/*ETL Job Name:cust_leads_detail                                                                   */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE cust_leads_detail_agi_CUR_I 
 ( LIKE :COMMDB.cust_leads_detail)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE cust_leads_detail_agi_INS 
( LIKE :COMMDB.cust_leads_detail)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:t01_crm_raw_leads*************************************************************/
/*****************************************************************************************************/
INSERT INTO cust_leads_detail_agi_CUR_I (
            contact_channel                         /*线索渠道*/
           ,contact_account                         /*线索编号*/
           ,label                                   /*标签*/
           ,event                                   /*事件*/
           ,active_time                             /*活跃时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         'CRM Raw Leads'                                           /*contact_channel*/
        ,COALESCE(TRIM(CAST(p0.crm_contact_account AS varchar(50))),'')        /*contact_account*/
        ,COALESCE(TRIM(CAST(p0.lead_number AS varchar(50))),'')        /*label*/
        ,COALESCE(TRIM(CAST(p0.market_type AS varchar(100))),'')        /*event*/
        ,COALESCE(p0.create_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*active_time*/
        ,Substr('t01_crm_raw_leads',1,3)                           /*Src_Sysname*/
        ,'t01_crm_raw_leads'                                       /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM :PDMDB.t01_crm_raw_leads  p0
;



/*****************************************************************************************************/
/* GROUP 2:Source Table:t01_scrm_leads_his************************************************************/
/*****************************************************************************************************/
INSERT INTO cust_leads_detail_agi_CUR_I (
            contact_channel                         /*线索渠道*/
           ,contact_account                         /*线索编号*/
           ,label                                   /*标签*/
           ,event                                   /*事件*/
           ,active_time                             /*活跃时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         'SCRM Event'                                              /*contact_channel*/
        ,COALESCE(TRIM(CAST(p0.cue_id AS varchar(50))),'')         /*contact_account*/
        ,COALESCE(TRIM(CAST(p0.activate_name AS varchar(50))),'')        /*label*/
        ,COALESCE(TRIM(CAST(p0.event_name AS varchar(100))),'')        /*event*/
        ,COALESCE(p0.activate_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*active_time*/
        ,Substr('t01_scrm_leads_his',1,3)                          /*Src_Sysname*/
        ,'t01_scrm_leads_his'                                      /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM :PDMDB.t01_scrm_leads_his  p0
;



/*****************************************************************************************************/
/* GROUP 3:Source Table:t01_scrm_leads****************************************************************/
/*****************************************************************************************************/
INSERT INTO cust_leads_detail_agi_CUR_I (
            contact_channel                         /*线索渠道*/
           ,contact_account                         /*线索编号*/
           ,label                                   /*标签*/
           ,event                                   /*事件*/
           ,active_time                             /*活跃时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         'SCRM Event'                                              /*contact_channel*/
        ,COALESCE(TRIM(CAST(p0.customer_id AS varchar(50))),'')        /*contact_account*/
        ,COALESCE(TRIM(CAST(p0.label AS varchar(50))),'')          /*label*/
        ,COALESCE(TRIM(CAST(p0.target_name AS varchar(100))),'')        /*event*/
        ,COALESCE(p0.date,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*active_time*/
        ,Substr('t01_scrm_leads',1,3)                              /*Src_Sysname*/
        ,'t01_scrm_leads'                                          /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM :PDMDB.t01_scrm_leads  p0
;



/*****************************************************************************************************/
/* GROUP 4:Source Table:t01_udesk_record**************************************************************/
/*****************************************************************************************************/
INSERT INTO cust_leads_detail_agi_CUR_I (
            contact_channel                         /*线索渠道*/
           ,contact_account                         /*线索编号*/
           ,label                                   /*标签*/
           ,event                                   /*事件*/
           ,active_time                             /*活跃时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         'Call'                                                    /*contact_channel*/
        ,COALESCE(TRIM(p0.call_id),'')                             /*contact_account*/
        ,COALESCE(TRIM(CAST(p0.type AS varchar(50))),'')           /*label*/
        ,case when p0.responsible_group  = 'MKT' then '产品报价'  
 when p0.responsible_group  = 'IAM' then '产品报价'  
 when p0.responsible_group  = 'TSC-KEI' then '技术支持'  
 when p0.responsible_group  = 'TSC-TEK' then '技术支持'  
 when p0.responsible_group  = 'SSO-TEK' then '维修与校准'  
else '其他' end        /*event*/
        ,COALESCE(p0.record_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*active_time*/
        ,Substr('t01_udesk_record',1,3)                            /*Src_Sysname*/
        ,'t01_udesk_record'                                        /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM :PDMDB.t01_udesk_record  p0
;



/*****************************************************************************************************/
/* GROUP 5:Source Table:t01_livechat_record***********************************************************/
/*****************************************************************************************************/
INSERT INTO cust_leads_detail_agi_CUR_I (
            contact_channel                         /*线索渠道*/
           ,contact_account                         /*线索编号*/
           ,label                                   /*标签*/
           ,event                                   /*事件*/
           ,active_time                             /*活跃时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Batch_No                            /*作业批次号*/
        )
SELECT
         'Chat'                                                    /*contact_channel*/
        ,COALESCE(TRIM(CAST(p0.livechat_leads_id AS varchar(50))),'')        /*contact_account*/
        ,COALESCE(TRIM(p0.pre_chat_service),'')                    /*label*/
        ,case when p0.pre_chat_service like '%维修%' then '维修与校准' 
when p0.pre_chat_service like '%技术%' then '技术支持' 
when p0.pre_chat_service like '%售后%' then '售后服务' 
when p0.pre_chat_service like '%报价%' then '产品报价' 
else '其他' end         /*event*/
        ,COALESCE(p0.chat_creation_time,TO_TIMESTAMP(:NULLDATE,'YYYYMMDD'))        /*active_time*/
        ,Substr('t01_livechat_record',1,3)                         /*Src_Sysname*/
        ,'t01_livechat_record'                                     /*Src_Table*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,0                                                         /*Etl_Batch_No*/
        
FROM :PDMDB.t01_livechat_record  p0
;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO cust_leads_detail_agi_INS (
         event                                                     /*事件*/
        ,contact_channel                                           /*线索渠道*/
        ,contact_account                                           /*线索编号*/
        ,label                                                     /*标签*/
        ,active_time                                               /*活跃时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Batch_No                                              /*作业批次号*/
        
)
    SELECT
         P1.event                                                     /*事件*/
        ,P1.contact_channel                                           /*线索渠道*/
        ,P1.contact_account                                           /*线索编号*/
        ,P1.label                                                     /*标签*/
        ,P1.active_time                                               /*活跃时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        
FROM cust_leads_detail_agi_CUR_I P1
LEFT JOIN :COMMDB.cust_leads_detail P2
ON    P1.event = P2.event
    AND P1.contact_channel = P2.contact_channel
    AND P1.contact_account = P2.contact_account
    AND P1.label = P2.label
    AND P1.active_time = P2.active_time
    
WHERE  P2.event IS NULL
    OR P2.contact_channel IS NULL
    OR P2.contact_account IS NULL
    OR P2.label IS NULL
    OR P2.active_time IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :COMMDB.cust_leads_detail (
         event                                                     /*事件*/
        ,contact_channel                                           /*线索渠道*/
        ,contact_account                                           /*线索编号*/
        ,label                                                     /*标签*/
        ,active_time                                               /*活跃时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Batch_No                                              /*作业批次号*/
        
)
SELECT
         P1.event                                                     /*事件*/
        ,P1.contact_channel                                           /*线索渠道*/
        ,P1.contact_account                                           /*线索编号*/
        ,P1.label                                                     /*标签*/
        ,P1.active_time                                               /*活跃时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        
FROM cust_leads_detail_agi_INS P1
ON CONFLICT ( contact_channel,contact_account,label,active_time)
DO UPDATE SET
     contact_channel=excluded.contact_channel
    ,contact_account=excluded.contact_account
    ,label=excluded.label
    ,active_time=excluded.active_time
    ,event=excluded.event
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    ,Etl_Job=excluded.Etl_Job
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Batch_No=excluded.Etl_Batch_No
    

;
/*****程序结束退出                                               */
\q

