
DROP TABLE IF EXISTS p60_mart.data_source_update;
CREATE TABLE IF NOT EXISTS p60_mart.data_source_update (
	 date_layer  varchar(20) 
	, data_area  varchar(20) 
	, data_table  varchar(200) 
	, data_rows  bigint 
	, column_qty  int 
	, last_upt_tm  timestamp(0) 
	, Etl_Batch_No  varchar(50) 
	, Etl_First_Dt  timestamp(0) 
	, Etl_Job  varchar(200) 
	, Etl_Proc_Dt  timestamp(0) 
	, Etl_Tx_Dt  timestamp(0) 
	, Src_Sysname  varchar(50) 
	, Src_Table  varchar(50) 
	,primary key( date_layer,data_table )
);

 COMMENT ON COLUMN p60_mart.data_source_update.date_layer IS '数据层级'; 
 COMMENT ON COLUMN p60_mart.data_source_update.data_area IS '数据领域'; 
 COMMENT ON COLUMN p60_mart.data_source_update.data_table IS '数据表'; 
 COMMENT ON COLUMN p60_mart.data_source_update.data_rows IS '数据行数'; 
 COMMENT ON COLUMN p60_mart.data_source_update.column_qty IS '字段数'; 
 COMMENT ON COLUMN p60_mart.data_source_update.last_upt_tm IS '最后更新日期'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Etl_Batch_No IS '作业批次号'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Etl_First_Dt IS '最初入库时间'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Etl_Job IS '作业名称'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Etl_Proc_Dt IS '本次入库时间'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Etl_Tx_Dt IS '作业运行时间'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Src_Sysname IS '来源系统'; 
 COMMENT ON COLUMN p60_mart.data_source_update.Src_Table IS '来源表'; 

COMMENT ON TABLE p60_mart.data_source_update IS '数据源更新时间';