/***************************************************************************************************/
/*script in Sql, generate by SdmCreateScript 2020(by Qihang Feng, QF255001@TERADATA.COM)     */
/*VERSION 01.10 revised on 2020-08-25                                                              */
/*Brilliance stems from wisdoms.                                                                   */
/*************Head Section**************************************************************************/
/*Script Use: Periodically load data to :t01_crm_raw_leads(CRM原始线索)             */
/*Create Date:2024-05-10 16:42:38                                                                  */
/*SDM Developed By: dev                                                                            */
/*SDM Developed Date: 2024-01-12                                                                   */
/*SDM Checked By: dev                                                                              */
/*SDM Checked Date: 2024-05-10                                                                     */
/*Script Developed By: dev                                                                         */
/*Script Checked By: dev                                                                           */
/*Source table 1: p10_sa.s98_s_crm_raw_leads                                                       */
/*Job Type: Inbound transform (Tier 1 to Tier 2)                                                   */
/*Target Table:t01_crm_raw_leads                                                                   */
/*ETL Job Name:t01_crm_raw_leads                                                                   */
/*ETL Frequency:Daily                                                                              */
/*ETL Policy:F2                                                                                    */
/********************************************************************************************/
/*******Main Section**************************************************************************/
\set ON_ERROR_STOP on
\set AUTOCOMMIT on
\timing on



/*创建临时表加载当前数据                                                                           */
CREATE TEMPORARY TABLE t01_crm_raw_leads_agi_CUR_I 
 ( LIKE :PDMDB.t01_crm_raw_leads)
ON COMMIT PRESERVE ROWS;



/*创建临时表加载不同数据                                                                           */
CREATE TEMPORARY TABLE t01_crm_raw_leads_agi_INS 
( LIKE :PDMDB.t01_crm_raw_leads)
ON COMMIT PRESERVE ROWS;

            
/*****************************************************************************************************/
/* GROUP 1:Source Table:s98_s_crm_raw_leads***********************************************************/
/*****************************************************************************************************/
INSERT INTO t01_crm_raw_leads_agi_CUR_I (
            crm_contact_account                     /*CRM_CONTACT账号*/
           ,lead_number                             /*lead_number*/
           ,name                                    /*姓名*/
           ,create_time                             /*创建时间*/
           ,company_name                            /*公司名称*/
           ,email                                   /*电子邮箱*/
           ,mobile_phone                            /*手机号*/
           ,mql_time                                /*mql时间*/
           ,campaign_name                           /*活动名称*/
           ,industry                                /*行业*/
           ,market_type                             /*市场类型*/
           ,Etl_Batch_No                            /*作业批次号*/
           ,Etl_First_Dt                            /*最初入库时间*/
           ,Etl_Job                                 /*作业名称*/
           ,Etl_Proc_Dt                             /*本次入库时间*/
           ,Etl_Tx_Dt                               /*作业运行时间*/
           ,Src_Sysname                             /*来源系统*/
           ,Src_Table                               /*来源表*/
        )
SELECT
         COALESCE(TRIM(CAST(p0.tek_contactnumber AS varchar(20))),'')        /*crm_contact_account*/
        ,COALESCE(TRIM(CAST(p0.tek_leadnumber AS varchar(20))),'')        /*lead_number*/
        ,COALESCE(TRIM(CAST(p0.fullname AS varchar(50))),'')        /*name*/
        ,COALESCE(TO_TIMESTAMP(CAST(p0.createdon AS VARCHAR(19)),'YYYY/MM/DD HH24:mi:ss'),TO_TIMESTAMP('19000102','YYYYMMDD'))        /*create_time*/
        ,COALESCE(TRIM(CAST(p0.companyname AS varchar(50))),'')        /*company_name*/
        ,COALESCE(TRIM(CAST(p0.emailaddress1 AS varchar(50))),'')        /*email*/
        ,COALESCE(TRIM(CAST(p0.mobilephone AS varchar(20))),'')        /*mobile_phone*/
        ,case when p0.tek_mqldate = 'NULL' THEN TO_TIMESTAMP('19000102','YYYYMMDD')  ELSE  COALESCE(TO_TIMESTAMP(CAST(p0.tek_mqldate AS VARCHAR(19)),'YYYY/MM/DD HH24:mi:ss'),TO_TIMESTAMP('19000102','YYYYMMDD')) END        /*mql_time*/
        ,COALESCE(TRIM(CAST(p0.campaignidname AS varchar(50))),'')        /*campaign_name*/
        ,COALESCE(TRIM(CAST(p0.tek_industry2idname AS varchar(20))),'')        /*industry*/
        ,COALESCE(TRIM(CAST(p0.tek_marketing_program_type_idname AS varchar(20))),'')        /*market_type*/
        ,0                                                         /*Etl_Batch_No*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_First_Dt*/
        ,:ETLJOB                                                   /*Etl_Job*/
        ,current_timestamp(0)                                      /*Etl_Proc_Dt*/
        ,TO_DATE(:TXDATE,'YYYYMMDD')                               /*Etl_Tx_Dt*/
        ,Substr('s98_s_crm_raw_leads',1,3)                         /*Src_Sysname*/
        ,'s98_s_crm_raw_leads'                                     /*Src_Table*/
        
FROM p10_sa.s98_s_crm_raw_leads  p0
;



/*将不同数据插入到临时表                                                                           */
;INSERT INTO t01_crm_raw_leads_agi_INS (
         name                                                      /*姓名*/
        ,create_time                                               /*创建时间*/
        ,company_name                                              /*公司名称*/
        ,email                                                     /*电子邮箱*/
        ,mobile_phone                                              /*手机号*/
        ,mql_time                                                  /*mql时间*/
        ,campaign_name                                             /*活动名称*/
        ,industry                                                  /*行业*/
        ,market_type                                               /*市场类型*/
        ,crm_contact_account                                       /*CRM_CONTACT账号*/
        ,lead_number                                               /*lead_number*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
    SELECT
         P1.name                                                      /*姓名*/
        ,P1.create_time                                               /*创建时间*/
        ,P1.company_name                                              /*公司名称*/
        ,P1.email                                                     /*电子邮箱*/
        ,P1.mobile_phone                                              /*手机号*/
        ,P1.mql_time                                                  /*mql时间*/
        ,P1.campaign_name                                             /*活动名称*/
        ,P1.industry                                                  /*行业*/
        ,P1.market_type                                               /*市场类型*/
        ,P1.crm_contact_account                                       /*CRM_CONTACT账号*/
        ,P1.lead_number                                               /*lead_number*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_crm_raw_leads_agi_CUR_I P1
LEFT JOIN :PDMDB.t01_crm_raw_leads P2
ON    P1.name = P2.name
    AND P1.create_time = P2.create_time
    AND P1.company_name = P2.company_name
    AND P1.email = P2.email
    AND P1.mobile_phone = P2.mobile_phone
    AND P1.mql_time = P2.mql_time
    AND P1.campaign_name = P2.campaign_name
    AND P1.industry = P2.industry
    AND P1.market_type = P2.market_type
    AND P1.crm_contact_account = P2.crm_contact_account
    AND P1.lead_number = P2.lead_number
    
WHERE  P2.name IS NULL
    OR P2.create_time IS NULL
    OR P2.company_name IS NULL
    OR P2.email IS NULL
    OR P2.mobile_phone IS NULL
    OR P2.mql_time IS NULL
    OR P2.campaign_name IS NULL
    OR P2.industry IS NULL
    OR P2.market_type IS NULL
    OR P2.crm_contact_account IS NULL
    OR P2.lead_number IS NULL
    
; 
/*将新增数据插入到目标表                                                                           */
;INSERT INTO :PDMDB.t01_crm_raw_leads (
         name                                                      /*姓名*/
        ,create_time                                               /*创建时间*/
        ,company_name                                              /*公司名称*/
        ,email                                                     /*电子邮箱*/
        ,mobile_phone                                              /*手机号*/
        ,mql_time                                                  /*mql时间*/
        ,campaign_name                                             /*活动名称*/
        ,industry                                                  /*行业*/
        ,market_type                                               /*市场类型*/
        ,crm_contact_account                                       /*CRM_CONTACT账号*/
        ,lead_number                                               /*lead_number*/
        ,Etl_Batch_No                                              /*作业批次号*/
        ,Etl_First_Dt                                              /*最初入库时间*/
        ,Etl_Job                                                   /*作业名称*/
        ,Etl_Proc_Dt                                               /*本次入库时间*/
        ,Etl_Tx_Dt                                                 /*作业运行时间*/
        ,Src_Sysname                                               /*来源系统*/
        ,Src_Table                                                 /*来源表*/
        
)
SELECT
         P1.name                                                      /*姓名*/
        ,P1.create_time                                               /*创建时间*/
        ,P1.company_name                                              /*公司名称*/
        ,P1.email                                                     /*电子邮箱*/
        ,P1.mobile_phone                                              /*手机号*/
        ,P1.mql_time                                                  /*mql时间*/
        ,P1.campaign_name                                             /*活动名称*/
        ,P1.industry                                                  /*行业*/
        ,P1.market_type                                               /*市场类型*/
        ,P1.crm_contact_account                                       /*CRM_CONTACT账号*/
        ,P1.lead_number                                               /*lead_number*/
        ,P1.Etl_Batch_No                                              /*作业批次号*/
        ,P1.Etl_First_Dt                                              /*最初入库时间*/
        ,P1.Etl_Job                                                   /*作业名称*/
        ,P1.Etl_Proc_Dt                                               /*本次入库时间*/
        ,P1.Etl_Tx_Dt                                                 /*作业运行时间*/
        ,P1.Src_Sysname                                               /*来源系统*/
        ,P1.Src_Table                                                 /*来源表*/
        
FROM t01_crm_raw_leads_agi_INS P1
ON CONFLICT ( crm_contact_account,lead_number)
DO UPDATE SET
     crm_contact_account=excluded.crm_contact_account
    ,lead_number=excluded.lead_number
    ,name=excluded.name
    ,create_time=excluded.create_time
    ,company_name=excluded.company_name
    ,email=excluded.email
    ,mobile_phone=excluded.mobile_phone
    ,mql_time=excluded.mql_time
    ,campaign_name=excluded.campaign_name
    ,industry=excluded.industry
    ,market_type=excluded.market_type
    ,Etl_Batch_No=excluded.Etl_Batch_No
    ,Etl_First_Dt=excluded.Etl_First_Dt
    ,Etl_Job=excluded.Etl_Job
    ,Etl_Proc_Dt=excluded.Etl_Proc_Dt
    ,Etl_Tx_Dt=excluded.Etl_Tx_Dt
    ,Src_Sysname=excluded.Src_Sysname
    ,Src_Table=excluded.Src_Table
    

;
/*****程序结束退出                                               */
\q

